#ifndef __LABEL_H__
#define __LABEL_H__

#include "shape.h"

class Label;
class Label: public Shape
{
protected:
	Position p;
	Expression e;

	enum { Left,Center,Right } align;
	istream& Input(istream& is,int field);

public:
	char* Type() { return "label"; }

	Text LabelText(ExprData& ed);
	Position Pos(ShapeData& sd) { return Absolute(sd,p); }
	int Align() { return align; }
	
	Label(): align(Left) {}
	Label(istream& is,Context* super): Shape(super) { is>>*this; }
	
	Position NearestPoint(Position&) { return Position(); }
	double Distance(ShapeData& sd,Position& ps,Position& nearest);
	int Inside(Display* dpy,Position,ShapeData&,ExprData&);
	void DoDraw(Display* dpy,Drawable d,GC gc,ShapeData&,ExprData&);
};

#endif
