#ifndef __LOGWIN_H__
#define __LOGWIN_H__
	
#include "xbefore.h"
#include <X11/Intrinsic.h>
#include "xafter.h"

#include <fstream.h>
#include "text.h"
#include "dialog.h"
#include "wrapper.h"

class LogWindow;
class LogWindow: public Dialog<LogWindow,bool>
{
protected:
	static const long input_delay = 200;
	
	Wrapper<LogWindow,bool> wrapper; // kein ableiten moeglich, da Dialog
	WrapperID input_id,timer_id;     // schon einen Wrapper enthaelt
	Text text;
	Widget w;
	ifstream istr;
	int fd;
	
	bool Timer(bool);
	bool Input(int fd,bool);
	
public:
	LogWindow(int filedes);
	LogWindow(char* filename);
	virtual ~LogWindow();
	
	void Open(char* name,char* title,Widget parent, char* buttons = "Ok");

  Text Contents() { return text; }
  void SetContents(char* c);

  virtual void DialogCB(Dialog<LogWindow, bool> &, bool, Ident&) { Close(); }
  virtual bool OnRecieveChar(char c) { return false; }
};

#endif
