#ifndef __REPEATER_H__
#define __REPEATER_H__

#include "xbefore.h"
#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include "xafter.h"

class Repeater;
class Repeater
{	
	Widget w;
	XtIntervalId timer_id;
	XtPointer calldata;
	long initial,delay;
	
	static void _Timer(XtPointer cldata,XtIntervalId*);
	static void _Arm(Widget w,XtPointer cldata,XtPointer calldata);
	static void _Disarm(Widget w,XtPointer cldata,XtPointer);
	static void _Destroy(Widget w,XtPointer cldata,XtPointer);
	void Unlink();
public:
	Repeater(long i = 400,long d = 200): w(0),timer_id(0),initial(i),delay(d) {}
	~Repeater() { Unlink(); }
	Widget operator =(Widget wid);
};

typedef Repeater* RepeaterP;

#endif

