#ifndef __SET_H__
#define __SET_H__

#include "value.h"
#include "attrib.h"
#include "list.h"

class Set: public Value
{
	Value *def;
	LinkedList<Value*> vals;
public:
	Set(NetClass *nt): Value(nt) {}
	Set(Set& s);
	Value *GetValue(char *path);
	Value *Copy() { return new Set(*this); }
	Widget CreateWidget(Widget parent);
	bool EvalWidget();
	istream& Parse(istream& is);
	istream& Input(istream& is);
	ostream& Output(ostream& os);
};

#endif
