#include <iostream.h>

#include "module.h"
#include "main.h"
#include "editor.h"
#include "netcl.h"
#include "logwin.h"

class StdInputLogger;
class StdInputLogger: public Module
{
	LogWindow logger;

public:
	StdInputLogger(Net& n): Module(n,"Standard Input Logger"),logger(0) {}
	bool Init() { return true; } // unabhaengig von net immer zustaendig
	bool Open(Editor&,Page&) { return true; } // autom. Eintrag erzeugen
	bool Change(Editor&,Page&,Page&) { return true; }
	void Call(Editor& e,Page& pg) // bei Anwahl o.g. Eintrages aufgerufen
	{
		logger.Open("Logger","Standard-Input Log Window",e.Shell());
	}};

MODULE_NOTIFY(StdInputLogger)
