/*******************************************************************************
Modul   	:	MarkParObj.h

Purpose		: 	privates Headerfile der Klasse MarkParObject

Project Director:	Christoph Lindemann TU Berlin

Programmer	:	Martin M"uller

History		:	release 1: October 1992
*******************************************************************************/


#ifndef _ORAMarkParObj_h
#define _ORAMarkParObj_h

/*
 * MarkParObj Widget public include file
 
   Class Hierarchie:
   Object -> BaseObj -> MarkParObj
 */

/*
 * This include not needed unless the application includes Intrinsic.h
 * after this file.   Anyway, it doesn't hurt.
 */
#include "BaseObj.h"

/* Resources:
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
  XtNmparName	     XtCmparName        XtRString       NULL
  XtNmparValue	     XtCmparValue       XtRCardinal     0
 */

#define XtNmparName  "mparName"
#define XtCmparName  "MparName"
#define XtNmparValue "mparValue"
#define XtCmparValue "MparValue"

#define isMarkParObject(W) XtIsSubclass(W, markParObjClass)

/* public functions*/
/*extern void DrawMarkPar();*/
extern String getDisplayedMarkingString();

/* Class record constants */
extern WidgetClass markParObjClass;

typedef struct _MarkParObjClassRec *MarkParObjClass;
typedef struct _MarkParObjRec      *MarkParObj;

#endif /* _ORAMarkParObj_h */
/* DON'T ADD STUFF AFTER THIS #endif */
