/*******************************************************************************
Modul   	:	environment.h

Purpose		: 	Environmentdefinition des Editors

Project Director:	Christoph Lindemann TU Berlin

Programmer	:	Martin M"uller
                Kolja Koischwitz

History		:	release 1: July 1993
                release 2: May  1994
*******************************************************************************/

/* Environment variables */
#define MODELDIR_ENV "MODELDIR"

#define DSPNPACKAGE_ENV "TNETHOME"

/* Files */
#define DSPNINIT_FILE ".TimeNET"

/* path */
#define PRINTPATH     "Print/scripts"
#define SOLVEPATH     "StatAnalysis/scripts"
#define SIMULATEPATH  "Simulation/scripts"
#define DTSOLVEPATH   "DTSPN/scripts"   /*new*/ 

#define APPROXPATH    "Approximation/scripts"
#define INTERFACEPATH "Interface/bin"
#define INTERFACEHELP "Interface/help"

/*File extensions */
#define NET_EXTENSION ".TN"
#define INV_EXTENSION ".INV"
#define ECS_EXTENSION ".ECS"
#define PRTOK_EXTENSION ".PROBTOK"
#define RESULT_EXTENSION ".RESULTS"
#define MSR_EXTENSION ".MEASURE"
#define AUX_EXTENSION ".AUX"
#define LOG_EXTENSION ".LOG"

#define MD            "<MD>"






