#ifndef inputCheck

#include <X11/Intrinsic.h>

#define FLOAT 0
#define MARKING 1
#define INTEGER 2
#define IDENTIFIER 3
#define PRIORITY 4
#define NOINPUT 5
#define MULTIPLICITY 6
/*new*/
#define CARDINAL 7

#define isFloat(S)        isOfType(S,FLOAT)
#define isMarking(S)      isOfType(S,MARKING)
#define isInteger(S)      isOfType(S,INTEGER)
#define isIdentifier(S)   isOfType(S,IDENTIFIER)
#define isMultiplicity(S) isOfType(S,MULTIPLICITY)
#define isPriority(S)     isOfType(S,PRIORITY)
#define isNoInput(S)      isOfType(S,NOINPUT)
/*new*/
#define isCardinal(S)     isOfType(S,CARDINAL)

typedef enum {ExpDelay, DetDelay, ImmWeight, ImmFunction, ArcCardinality, 
		  Reward, RateParameter} defType;

extern Boolean isOfType();
extern String getWord();

#define inputCheck
#endif

