/* **********************************************************************
*                                                                              
*  Header zu        :     parsdfunc.y (YACC-Quellprogramm)
*                                                                              
*  Aufgabe          :     schreibt struct_time_l
*                                                                              
*                                                                              
*  Programmierer    :     Joerg W. Mitzlaff                               
*                                                                              
*  Datum            :     Juni 1993   
*
*
**************************************************************************
* function headers:
**************************************************************************/

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "pmfExpoly.h"

#define True      1
#define False     0
#define UNENDLICH -1
#define UNDEF     0
#define NULL_UMGEBUNG 1.0e-15

#define INTEGRATE_NORMAL           0
#define INTEGR_FOR_EXPECTED_VALUE  1

int    do_parse();                 /* 1.5 ruft parser mit file temp.pmf auf */
double integrate();           /* 2.1 integrieren */
double expected_value();                 /* 2.2 erwartungswert errechnen */
time_l  *free_whole_stru();               /* 3. speicher freigeben */


time_l  *melt_intervall();
power_m *melt_power();

time_l  *copy_all_intervall();
power_m *copy_all_power();
expo_n  *copy_all_expo();

void        append_one_power();
void        append_one_expo();
void add_or_append_one_power();
void add_or_append_all_expos();

power_m *negate_all_c();

time_l  *make_l_stru();
power_m *make_m_stru();
expo_n  *make_n_stru();
power_m *zero_tail();
