#ifndef __INC_LEX_YACC_GLOBALS_H__
#define __INC_LEX_YACC_GLOBALS_H__

//######################################################
//------------------------------------------------------
//	extern var's 
//------------------------------------------------------
extern	int	ErrNo;
extern	Cell*	EvalCell;
extern  char*	yytext;
extern	char*	evaluation_string;

//------------------------------------------------------
//		error-no.
//------------------------------------------------------
#define		DEF_LOOP		1	
#define		ROOT_ERR		2
#define		SYNTAX_ERR		3
#define		SECTION_ERR		4
#define		STR_TO_L_ERR		5
#define		STR_TO_D_ERR		6
#define		GET_PATH_ERR		7
#define		PAGE_NAME_ERR		8	
#define		DEF_EXISTS_ERR		9	
#define		RESULT_TYPE_ERR		10
#define		ROOT_SECTION_ERR	11
#define		NO_PAGE_PATH_ERR	12
#define		REL_PAGE_PATH_ERR	13

//------------------------------------------------------
//	own global var's and referencelists
//------------------------------------------------------
TokenList        	TokenRefList;
DefinitionList          DefinitionRefList;

//------------------------------------------------------
//	global  lex/yacc var's 
//------------------------------------------------------
typedef enum { def_sec, page_sec, eval_sec } Section;

char* 	actual_def_path		= NULL;
char*	actual_page		= NULL;
bool	err_set			= false;
Section section			= def_sec;

//######################################################
#endif
