#ifndef __inc_examine_rrg_h__
#define __inc_examine_rrg_h__

#include "inc_classes.h"

extern  unsigned char bits[];

//#############################################################################
typedef struct int_list 
{
        int       ref;
        int_list* next;
} int_list;

typedef struct marking_count
{
	int  no_markings;
	int  no_tang_markings;
	int  no_det_markings;
	int  no_exp_markings;
	int  no_pro_markings;
	int  no_gen_markings;
	int  no_imm_markings;
	int  no_absorb_markings;
} marking_count;

typedef struct marking_lists
{
	ListOfSMCLists  det_marking_list; 
        ListOfSMCLists  gen_marking_list; 
	MarkingPtrList  exp_marking_list;
        MarkingPtrList  imm_marking_list; 
        MarkingPtrList  pro_marking_list;
        MarkingPtrList  absorb_marking_list;
} marking_lists;

//#############################################################################
#endif
