#ifndef __inc_handle_imm_t_h__
#define __inc_handle_imm_t_h__

//------------------------------------------------------------------------------------------------------------------
//      extern global var's
//------------------------------------------------------------------------------------------------------------------
extern	RRGError*		RRGErr;
extern  int			no_of_places;
extern  unsigned char   	bits[];
extern	PlaceHeaderPtrList	PlaceHeaderPtrRefList;
extern	TransitionList		ImmediateTransitionRefList;
extern	TransitionList		ExclusiveTransitionRefList;
//--------------------------------------------------------
//	aus inc_rrg_globals.h
//--------------------------------------------------------
extern  ArcBindList*		inarcs;	 		// globale Liste der aktuell zu checkenden  In/Out-Arcs 
extern  ArcBindList*		outarcs; 		// globale Liste der aktuell zu checkenden  In/Out-Arcs
extern  ArcBindList*		arcs;	 		// globale Liste der aktuell zu schaltenden In/Out-Arcs

//------------------------------------------------------------------------------------------------------------------
//      global var's
//------------------------------------------------------------------------------------------------------------------
NonPersistentMarkingPtrList     np_marking_ptr_list;    // Liste zum Abspeichern von neuen Markierungen
BindingList                     enabled_bindings;       // Liste zum Abspeichern von aktiven Bindings

//------------------------------------------------------------------------------------------------------------------
//      extern functions 
//------------------------------------------------------------------------------------------------------------------
extern	void		      	ShowMarking	 	 	(Marking*, DelayVal*, int);
extern	void		      	ShowReachabilityGraph	 	(Marking*);
extern	void		      	ShowImmHashDistribution	 	();

extern	void		      	CreateAndInitImmHash         	();
extern	void		      	CleanImmHash	         	();
extern	void		      	InitImmHash	         	();
extern  void                  	PrepareEnd               	();
extern  bool                  	ArcsOk                     	();
extern  void           	      	FireArcBindings                 (Operator, int, token_multiset*&);
extern  bool			PlaceCapOkAfterFire             (token_multiset**, token_multiset**);
extern  NonPersistentMarking* 	SaveMarkingInImmHash       	(NonPersistentMarking*, bool&);
extern	token_multiset* 	copy_token_multiset		(token_multiset*);
extern  void		      	init_global_actual_objects 	(token_multiset**);

#endif
