#ifndef __inc_handle_persistent_m_h__
#define __inc_handle_persistent_m_h__

//------------------------------------------------------------------------------------------------------------------
//      extern var's
//------------------------------------------------------------------------------------------------------------------
extern  RRGError*        	RRGErr;
extern  int			no_of_places;
extern  unsigned char           bits[];

extern	PlaceHeaderPtrList	PlaceHeaderPtrRefList;
extern	TransitionList		InfiniteTransitionRefList;
extern	TransitionList		ExclusiveTransitionRefList;

extern  ArcBindList*		inarcs;       // Liste der aktuell zu checkenden  In/Out-Arcs    (inc_rrg_globals.h)
extern  ArcBindList*		outarcs;      // Liste der aktuell zu checkenden  In/Out-Arcs    (inc_rrg_globals.h)
extern  ArcBindList*		arcs;         // Liste der aktuell zu schaltenden In/Out-Arcs    (inc_rrg_globals.h)

extern	Marking*         	last_marking; // zum Speichern der zuletzt betrachteten Markierung  (inc_rrg_algo.h)
extern  Marking*		new_marking;  // aktuelle, neue Markierung			    (inc_rrg_algo.h)
extern  DelayVal*		new_delay;    // aktuelles, neues, zu new_marking gehoerendes Delay (inc_rrg_algo.h)

extern	marking_and_delay_list* new_marks_and_delays;	// zum Speichern neuer Markierungen	    (inc_rrg_algo.h)
//------------------------------------------------------------------------------------------------------------------
//      globale var's
//------------------------------------------------------------------------------------------------------------------
BindingElement*         	enabled_binding; 	// globale Variable des aktuell aktivierten Bindings

//------------------------------------------------------------------------------------------------------------------
//      extern functions
//------------------------------------------------------------------------------------------------------------------
extern  void            	ShowMarking			(Marking*, DelayVal*, int);
extern  void            	ShowReachabilityGraph      	(Marking*);

extern  bool            	ArcsOk                     	();
extern  void            	PrepareEnd                 	();
extern	void			FireArcBindings			(Operator, int, token_multiset*&);
extern	bool			PlaceCapOkAfterFire		(token_multiset**, token_multiset**);
extern  void            	init_global_actual_objects 	(token_multiset**);
extern  void            	clean_global_actual_objects 	();
extern  token_multiset* 	copy_token_multiset 		(token_multiset*);

#endif
