#ifndef __inc_rrg_algo_h__
#define __inc_rrg_algo_h__

//###################################################################################################################
//--------------------------------------------------------------------------------------------------------------------
//		externe var's
//--------------------------------------------------------------------------------------------------------------------
extern	PlaceList		PlaceRefList;
extern	RRGError*		RRGErr;
extern	bool			SHOW_HASH;
extern  unsigned char           bits[];
//--------------------------------------------------------------------------------------------------------------------
//		globale var's
//--------------------------------------------------------------------------------------------------------------------
marking_and_delay_list*		new_marks_and_delays	= NULL;	// zum Speichern neuer Markierungen
Marking*	   		last_marking 		= NULL;	// zum Speichern der zuletzt betrachteten Markierung
Marking*	   		new_marking  		= NULL;	// aktuelle, neue Markierung
DelayVal*	   		new_delay    		= NULL;	// aktuelles, neues Delay von new_marking
//--------------------------------------------------------------------------------------------------------------------
//		extern functions	
//--------------------------------------------------------------------------------------------------------------------
extern	void			ShowHashDistribution	();
extern	void			ShowMarking		(Marking*, DelayVal*, int);
extern	void			ShowReachabilityGraph	(Marking*);

extern	void			PrepareEnd();
extern	void			CheckInitialMarkingAndPlaceCapacities();
extern  token_multiset**	make_place_multiset();

extern  void 			SaveAndAppendMarking    (Marking*&, bool&);
extern	void 			HandleImmTransitions    (Marking&);
extern	void 			HandleExcTransitions    (Marking&);
extern	void 			HandlePersistentMarking ();

//###################################################################################################################
#endif

