#ifndef __state_transition_h__
#define __state_transition_h__

class Marking;
class NonPersistentMarking;

typedef struct state_transition
{
	DelayVal		delay;
	Marking*		nextM;
	state_transition*	nextS;
} state_transition;

typedef struct np_state_transition
{
	DelayVal		delay;
	NonPersistentMarking*	nextM;
	np_state_transition* 	nextS;
} np_state_transition;

#endif
