#ifndef __GLOBALS_H__
#define __GLOBALS_H__

#include <ACG.h>

#ifdef OSF
#include "MyRndInt.h"
#else
#include <RndInt.h>
#endif

#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h> 
#include "portab.h"
#include "ComfVector.h"
#include "Statistic.h"
#include "Accomplice.h"



// Globale Variablen
//
// manchmal machen sie das Leben viel einfacher... ;-)

extern char                     P_portnumber[];      // Die Portnummer des Servers
extern char                     P_conflevel[];       // Confidence-Level (in %) als Parameter fuer den Slave
extern double                   G_conflevel;         // Confidence-Level zum Rechnen
extern char                     P_maxsamples[];      // Hoechstzahl der generierten Samples
extern char                     P_min_firings[];     // Mindest-Schaltzahl pro Binding
extern bool                     G_trans_detection;   // Samples der Transiente Phase verwerfen ?
extern char                    *G_netname;           // Name des zu simulierenden Netzes
extern double                   G_maxeps;            // der maximale relative Fehler
extern ComfVector<Statistic *>  PrimList;            // die Liste der Reward_Measure-Primitiven
extern ComfVector<M_Measure *>  StatList;            // Liste der RewardMeasures
extern ComfVector<Accomplice *> SlaveList;           // Liste der Komplizen
extern char                    *G_slavecommand;      // Der Kommandoaufruf incl. Pfad vom Slave
extern RandomInteger            rnd;                 // Der Generator fuer die zufaelligen Seeds der Slaves
extern fd_set                   G_readset;           // Liste aller lesenden Socket-FDs
extern int                      G_slave_out_fd;      // Filedescriptor fuer alle cout und cerr der (Slave|rsh)s
extern char                    *G_netfile;           // kompletter Name des Tablefiles
extern char                    *P_localhost;         // Name des lokalen Hosts als Parameter fuer den Slave


extern void                     my_exit(int);        // Bei diesem Exit werden die Kind-Prozesse getoetet



#endif






