/*******************************************************************************
Modul           :       Structure.h

Purpose         :       Definition der Netz-Structure-Datenstruktur
                        - place invariants
                        - extended conflict sets

Project Director:       Christoph Lindemann TU Berlin

Programmer      :       Christian L"uhe

History         :       release 1: Mai 1993
*******************************************************************************/

#ifndef STRUCT_H
#define STRUCT_H

typedef struct {
    unsigned invCount, ecsCount;
    char **inv, **ecs;
    char *comment;
} StructureT;

#endif
