#include <stdlib.h>
#include	"types.h"

eperror( str )
char *str;
{
	perror(str);
	exit(-1);
}

efree(ptr)
char *ptr;
{
	if (!ptr) return;
	free(ptr);
}

char *emalloc(bytes)
int bytes;
{
	char *ptr;

	if (!bytes) return NULL;
	if (!(ptr = malloc((unsigned)bytes))) {
		eperror(progname);
	}
	return ptr;
}

char *ecalloc(nelem,elsize)
int nelem, elsize;
{
	char *ptr;

	if (!nelem || !elsize) return NULL;
	if (!(ptr = calloc((unsigned)nelem,(unsigned)elsize))) {
		eperror(progname);
	}
	return ptr;
}

#ifdef OLDGENRRG
typedef struct {
	int   name;  /* P10 => name = (int)10 */
	int   index;
} order_struct;

int order_cmp(a,b)
order_struct *a, *b;
{
	return (a->name - b->name);
}

int ordered_place_no(pla)
int pla;
{
	static order_struct *ord_tab = (order_struct*)0;
	int i;

	if (!ord_tab) {
		if(!(ord_tab=(order_struct*)malloc(sizeof(order_struct)*timed.no_places)))
			eperror(progname);
		for(i==0; i<timed.no_places; i++) {
			ord_tab[i].name  = atoi( &(timed.places[i].name[0]) + 1);
			ord_tab[i].index = i;
		}
		/*
		 *	Sortiere die Indexe nach dem Namen ihrer Stelle
		 */
		qsort(ord_tab,timed.no_places,sizeof(order_struct),order_cmp);
	}
	/*
	 *	Liefere in der Ordnung passenden index:
	 */
	return ord_tab[pla].index;
}
#endif
