/*****************************************************************************

	Programm	:	struct

	Komponente	:	struct_extern.h
				externe Definition von globalen Variablen

	Programmierer	:	Armin Zimmermann

	Datum		:	Juni 1992

*****************************************************************************/

/*	external variable definitions for struct	*/

extern int no_places;			/* number of places in the net */
extern int no_trans;			/* number of transitions in the net */
int no_md_arcs;				/* number of marking dependent arcs */
extern int no_timed_trans;		/* number of timed transitions */
extern int no_pinvar;			/* number of place-invariants */
extern int no_subnets;			/* number of subnets */
extern int row_width;			/* width of one algorithm-row, = no_places + no_trans */

extern sp_place 	**i_matrix, **o_matrix, **c_matrix;	/* input, output and c-matrix */
extern sp_place 	**h_matrix;				/* inhibitor matrix */
md_arc			*md_arcs;				/* marking dep. arcs */
extern pinvar 		*pinvars;				/* resulting P-invariants */
extern subnet		*subnets;				/* immediate transition subnets */
extern name_nr		*m_par;					/* marking parameters */
extern name_delay	*r_par;					/* real parameters */
extern place		*places;				/* place description */
extern transition  	*transitions;				/* transition description */
extern FILE 		*net_file, *struct_file;		/* input and output file */
extern int		pin_bit, subnet_bit, ecs_bit;		/* output options for results */
extern int		conf_bit;				/* ignore confusions option */
extern int		pmf_bit;
