#ifndef __BASE_H__
#define __BASE_H__

#include "event.h"

class Base;
class Base
{
	friend class Editor;
	virtual bool Menu(Editor& editor,Ident& name);
	virtual bool Event(Editor& editor,EventInfo& evinfo);
	virtual void Draw(Editor&,Display* display,Pixmap pixmap);
	virtual char* Title(Editor&);
	virtual void EditorOpened(Editor& editor);
	virtual void EditorClosed(Editor& editor);
};	

#endif
