/*************************************************************************
*                                                                        *
* KOMPONENTE  :   extern_fct.h                                           *
* PROGRAMM    :   gensol                                                 *
*                                                                        *
* ZWECK       :  Bekanntmachen von Hilfsfunktionen                       *
* ====================================================================== *
* erstellt am    :   15. Juni 1994                                       *
* Programmierer  :   Anja Seibt                                          *
* Betreuer       :   Reinhard German, TU-Berlin                          *
*************************************************************************/


/* -----------------------------------------------------------------------
   P-Matrix mit 1-er Zeile fuellen
----------------------------------------------------------------------- */
extern  void  p_m_mit_1_fuellen();


/* -----------------------------------------------------------------------
   Speicher besorgen und P-Matrix reinlegen
----------------------------------------------------------------------- */
extern  void  p_m_matrix_besorgen();


/* -----------------------------------------------------------------------
   Matrix sortieren fuer Gauss
----------------------------------------------------------------------- */
extern  void  p_m_sortieren();


/* -----------------------------------------------------------------------
   dropt die Matrix
----------------------------------------------------------------------- */
extern  int   p_m_drop();


/* -----------------------------------------------------------------------
   bestimmt den maximalen Fehler der Loesung
----------------------------------------------------------------------- */
extern  double  p_fehler();
