/*************************************************************************
*                                                                        *
*  KOMPONENTE  :   struct_types.h                                        *
*  PROGRAMM    :   gensol                                                *
*                                                                        *
*  ZWECK       :   Definition von Datentypen                             *
* ====================================================================== *
* erstellt am    :   15. Juni 1994                                       *
* Programmierer  :   Anja Seibt                                          *
* Betreuer       :   Reinhard German                                     *
*************************************************************************/



typedef struct
{
  unsigned *  sp;          /* Spaltennummern zu den Werten */
  double   *  aa;          /* Nicht-Null-Werte der Zeile */
  unsigned    anz;         /* Anzahl der Spalten-/Werte-Eintraege dieser Zeile */
  double      b;           /* rechte Seite der Gleichung */
}
Matrix_T;



typedef struct
{
  unsigned  zz;
  double    wert;
}
Piv_T;



typedef struct
{
  unsigned  zz;
  unsigned  sp;
  double    wert;
}
Piv_voll_T;
