/*******************************************************************************
Modul   	:	ResultObject.h

Purpose		: 	privates Headerfile der Klasse ResultObject

Project Director:	Christoph Lindemann TU Berlin

Programmer	:	Martin M"uller

History		:	release 1: October 1992
*******************************************************************************/


#ifndef _ORAResultObject_h
#define _ORAResultObject_h

/*
 * ResultObject  public include file
 
   Class Hierarchie:
   Object -> ResultObject
 */

/*
 * This include not needed unless the application includes Intrinsic.h
 * after this file.   Anyway, it doesn't hurt.
 */
#include <X11/Object.h>

/* Resources:
 * Name		     	Class			RepType		Default Value
 * ----		     	-----			-------		-------------
  XtNresultName      	XtCresultName     	XtRString      	NULL
  XtNresultDefinition   XtCresultDefinition     XtRString      	NULL
 */

#define XtNresultName "resultName"
#define XtCresultName "ResultName"

#define XtNresultDefinition "resultDefinition"
#define XtCresultDefinition "ResultDefinition"

/* Class record constants */
#define resultObjectClassName "ResultObject"

extern WidgetClass resultObjectClass;

#define isResultObject(W) XtIsSubclass(W, resultObjectClass)

typedef struct _ResultObjectClassRec *ResultObjectClass;
typedef struct _ResultObjectRec      *ResultObject;

#endif /* _ORAResultObject_h */
/* DON'T ADD STUFF AFTER THIS #endif */
