/*******************************************************************************
Modul   	:	layout.h

Purpose		: 	Layoutdefinition des Editors

Project Director:	Christoph Lindemann TU Berlin

Programmer	:	Martin M"uller

History		:	release 1: October 1992
*******************************************************************************/

/***********************************************************
DEVICE DEPENDENT SIZE OF SCREEN
************************************************************/

#define SCREEN_WIDTH 1152
#define SCREEN_HEIGHT 900

/************************************************************
SIZE OF APPLICATION, BUTTONS, MENUENTRIES
************************************************************/

#define APPLICATION_WIDTH 1010

#define COMMAND_BUTTON_WIDTH 85
#define COMMAND_BUTTON_HEIGHT 20
#define COMMAND_BUTTON_JUSTIFY XtJustifyCenter

#define MENU_ENTRY_JUSTIFY XtJustifyLeft

#define COMMAND_TOGGLE_WIDTH 60
#define COMMAND_TOGGLE_HEIGHT 20
#define COMMAND_TOGGLE_JUSTIFY	XtJustifyCenter

#define OBJECT_TOGGLE_WIDTH COMMAND_TOGGLE_WIDTH
#define OBJECT_TOGGLE_HEIGHT 22
#define OBJECT_TOGGLE_JUSTIFY	XtJustifyCenter

#define INFO_TEXT_HEIGHT 50

#define NETMANAGER_WIDTH	948
#define NETMANAGER_HEIGHT	655

#define NETWIDGET_HEIGHT	1000
#define NETWIDGET_WIDTH		2000

#define HELP_HEIGHT             400
#define HELP_WIDTH              600

#define MAIN_LABEL_JUSTIFY XtJustifyLeft
/**********************************************************
LABELS:
***********************************************************/

#define MAIN_HEADER_LEFT "TimeNET2.0"
#define MAIN_HEADER_RIGHT "TU Berlin, Institut f. Technische Informatik"
#define NET_NAME_LABEL	  "Net displayed: "

/**********************************************************
FORM CONSTRAINTS FOR CHILDREN OF APP-ROOT
**********************************************************/
#define NETDISPLAYED_FROM_VERT 	header

#define INFOTEXT_FROM_VERT	netDisplayed

#define COMMANDS_FROM_VERT	infoText
#define COMMANDS_HORIZ_DISTANCE	COMMAND_TOGGLE_WIDTH

#define NETMANAGER_FROM_VERT	commands
#define NETMANAGER_HORIZ_DISTANCE COMMAND_TOGGLE_WIDTH + 2

#define EDITCOMMANDBOX_FROM_VERT	commands

#define EDITOBJECTBOX_FROM_VERT	editCommandBox

#define EDITOBJECTBOX_VERT_DISTANCE_MAC 5
#define EDITOBJECTBOX_VERT_DISTANCE 50


