/******************************************************************************
 File:              xlib.h

 Project Director:  Reinhard German

 Programmer:        Ulrich Hertlein & Joerg W. Mitzlaff

 History:           Release 1:
******************************************************************************/

/*
 * Constants
 */
#define NORTH  0x01
#define SOUTH  0x02
#define EAST   0x03
#define WEST   0x04

#define XBORDER          10
#define YBORDER		 20
   
#define H_BORDER         (XBORDER >> 1)
#define F_BORDER         (YBORDER << 1)

#define ARROW_WIDTH      (XBORDER >> 1)
#define ARROW_HEIGHT     XBORDER


/*
 * Function prototyping
 */
extern int xlib_setup();
extern int xlib_clear();
extern void xlib_refresh();
extern int xlib_draw_graph();
