#ifndef __InstanciateList_cc__
#define __InstanciateList_cc__

#include "List.h"
#include "List.cc"
//############################################################################
#include "Identifier.h"
#include "Textual.h"

#include "token_multiset.h"
#include "Token.h"

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template	class ListElement<Textual>;
template	class ListElement<Identifier>;
template	class ListElement<Token>;
//----------------------------------------------------------------------------
template	class List<Textual>;
template	class List<Identifier>;
template	class List<Token>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "TextualList.h"
#include "PlaceHeaderPtrList.h"
#include "CellVal.h"
#include "Cell.h"
#include "Place.h"
#include "PlaceHeader.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<Place>;
template 	class ListElement<PlaceHeader>;
//----------------------------------------------------------------------------
template 	class List<Place>;
template 	class List<PlaceHeader>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "PlaceHeaderList.h"
#include "Definition.h"
#include "Delay.h"
#include "DelayVal.h"
#include "ArcBindElement.h"
#include "SocketPortPair.h"
#include "state_transition.h"
#include "Marking.h"
#include "NonPersistentMarking.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<DelayVal>;
template 	class ListElement<Definition>;
template 	class ListElement<ArcBindElement>;
template 	class ListElement<SocketPortPair>;
template 	class ListElement<Marking>;
template 	class ListElement<NonPersistentMarking>;
//----------------------------------------------------------------------------
template 	class List<DelayVal>;
template 	class List<Definition>;
template 	class List<ArcBindElement>;
template 	class List<SocketPortPair>;
template 	class List<Marking>;
template 	class List<NonPersistentMarking>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "DefinitionList.h"
#include "ArcBindList.h"
#include "BindingElement.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<BindingElement>;
template 	class List<BindingElement>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "Transition.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template	class ListElement<Transition>;
template	class List<Transition>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "PlaceList.h"
#include "PlacePtrList.h"
#include "MarkingPtrList.h"
#include "SMCLists.h"
#include "TransitionList.h"
#include "TransitionPtrList.h"
#include "Page.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<Page>;
template        class ListElement<SMCLists>;
//----------------------------------------------------------------------------
template        class List<SMCLists>;
template 	class List<Page>;
//############################################################################
#endif
