#ifndef __PlaceHeader_H__
#define __PlaceHeader_H__

#include "Types.h"
//##############################################################################
class	PlaceHeader
{
	Textual		name;
	int		no;
public:
	token_multiset*	tms;

	PlaceHeader();
	PlaceHeader(int);
	PlaceHeader(char*);
	PlaceHeader(char*, int);
	PlaceHeader(const PlaceHeader&);
	PlaceHeader(char*, int, token_multiset*);
	PlaceHeader(char*, int, token_multiset&);
	~PlaceHeader() { Clear(); }

	void		Clear();

	void		Changetoken_multiset(token_multiset*&);

	int		GetPlaceNo();
	Textual&	GetPlaceName();
	token_multiset*	Gettoken_multiset();

	PlaceHeader&	operator =(const PlaceHeader&);
	bool		operator==(PlaceHeader&);
	bool		operator!=(PlaceHeader&);

	static bool	LessThan(PlaceHeader&);
	char*		GetName();
};
//##############################################################################
#endif
