#ifndef __RRGError_h__
#define __RRGError_h__

#include "Types.h"
//##################################################################
class RRGError
{
	//---------------------------------------------------------
	//	Pflicht-Felder
	//---------------------------------------------------------
	char*		file;
	char*		err_str;
	int		line_no;

	//---------------------------------------------------------
	//	optional	
	//---------------------------------------------------------
	char*		section;
	char*		ext_inf1;
	char*		ext_inf2;	// nur fuer parser/lexer
	char*		last_str;	// nur fuer parser/lexer

	//---------------------------------------------------------
	//	Init/Clear
	//---------------------------------------------------------
	void 		Clear();
	void 		InitChar(char*, char*, char*, char*, char*, char*);
public:
	RRGError();
	RRGError(const RRGError&);
	RRGError(char*, char*, int);
	RRGError(char*, char*, int, char*);
	RRGError(char*, char*, int, char*, char*);
	RRGError(char*, char*, int, char*, char*, char*);
	RRGError(char*, char*, int, char*, char*, char*, char*);
	~RRGError() { Clear(); }

	//---------------------------------------------------------
	//	OutPut	
	//---------------------------------------------------------
	void		PrintError();
};
//##################################################################
#endif

