#ifndef __Textual_h__
#define __Textual_h__

#include <iostream.h>
extern "C" {
#include <ctype.h>
#include <string.h>
}
#include "Types.h"
//##############################################################
class Textual
{
	char*	text;

	//-----------------------------------------------------------------------------
	//	1. Character nur Buchstabe, alle weiteren Buchstaben, Ziffern oder '_'
	//-----------------------------------------------------------------------------
	void Check(const char*); 
public:
	Textual();
	Textual(int);
	Textual(const char*);
	Textual(const Textual&);
	~Textual() { Clear(); }

	void Clear();

	//-----------------------------------------------------
	//	Operatoren
	//-----------------------------------------------------
	Textual& operator =(const char*); 
	Textual& operator =(const Textual&);
	bool     operator==(char*);    
	bool     operator==(Textual&);
	bool     operator!=(char*);  
	bool     operator!=(Textual&);
	bool     operator <(char*);
	bool     operator <(Textual&);
	bool     operator >(char*);
	bool     operator >(Textual&);

	//-----------------------------------------------------
	//	Listen-Operatoren
	//-----------------------------------------------------
	bool	 	LessThan(Textual&);
	static char*	GetName();

	//------------------------------------------------------
	//	Getten
	//------------------------------------------------------
	char*	 GetChar()  const;
};
//##############################################################
#endif

