#ifndef __Timing_cc__
#define __Timing_cc__

#include <iostream.h>
extern "C" {
#include <time.h>
}

//#############################################################################
void	StartTime(long& start)
{
	start = time(NULL);
}
//-----------------------------------------------------------------------------
void	StopTime(long& stop)
{
	stop = time(NULL);
}
//-----------------------------------------------------------------------------
void	DiffTime(long& start, long& stop, long& diff)
{
	diff = stop - start;
}
//-----------------------------------------------------------------------------
void	ShowTime(long& seconds, char* purpos)
{
	long sec     = seconds;
	long minutes = 0; 
	long hours   = 0;

	if (seconds > 59)
	{
		minutes = seconds / 60;
		seconds %= 60;
	}
	if (minutes > 59)
	{
		hours = minutes / 60;
		minutes %= 60;
	}

	cout <<"\n\n";
	cout <<"----------------------------------------------------------";
	cout <<"\n\n";
	cout <<"total CPU time for "<<purpos<<" :\n\n";
	cout <<sec<<" (sec)\n";
	cout <<hours<<":"<<minutes<<":"<<seconds<<" (hour:min:sec)";
	cout <<"\n\n";
	cout <<"----------------------------------------------------------";
	cout <<"\n\n";
}
//#############################################################################
#endif
