#ifndef __inc_agnes_to_timenet_h__
#define __inc_agnes_to_timenet_h__

//###########################################################################################################
//
//	Strukturen fuer das Format der P-Matrix
//
//###########################################################################################################
static struct P_row_header 
	{
  		unsigned row_index;			/* Zeilennummer 				   */
  		unsigned entries_in_row;		/* Anzahl nachfolgender Eintraege in dieser Zeile  */
	} P_row_header;


static struct P_row_entry 
	{
		double probability;			/* Uebergangswahrscheinlichkeit 		   */
		unsigned column_index;			/* Spaltennummer des Eintrages  		   */
	} P_row_entry;

#define SIZEOF_P_row_header sizeof (P_row_header)
#define SIZEOF_P_row_entry (sizeof (double) + sizeof (unsigned))

//###########################################################################################################
//
//	Strukturen fuer das Format der C-Matrix
//
//###########################################################################################################

				/* im Fall Mexp: */

static struct C0_entry 
	{
		double   sojourn_time;			/* mittlere Aufenthaltszeit 		  	   */
		unsigned state_number;			/* Zustandsnummer 	    		  	   */
	} C0_entry;

#define SIZEOF_C0_entry (sizeof (double) + sizeof (unsigned))

//-----------------------------------------------------------------------------------------------------------

				/* im Fall Mdet(k): */
/*
static struct C_row_header 
	{
  		unsigned row_index;			// Zeilennummer 				  
  		unsigned entries_in_row;		// Anzahl nachfolgender Eintraege in dieser Zeile 
	} C_row_header;

#define SIZEOF_C_row_header sizeof (C_row_header)

static struct C_row_entry 
	{
		double   conversion_factor;		// Gewichtung 		
		unsigned column_index;			// Spaltennummer des Eintrages
	} C_row_entry;
#define SIZEOF_C_row_entry (sizeof (double) + sizeof (unsigned))
*/

//###########################################################################################################
#endif
