#ifndef __inc_debug_funcs_h__
#define __inc_debug_funcs_h__

//-----------------------------------------------------------------------------------------------------------
//      externer Stuff
//-----------------------------------------------------------------------------------------------------------
extern 	TransitionList   	InfiniteTransitionRefList;
extern 	TransitionList   	ImmediateTransitionRefList;
extern 	TransitionList   	ExclusiveTransitionRefList;

extern 	TokenList        	TokenRefList;
extern 	PlaceList        	PlaceRefList;
extern 	PlaceHeaderPtrList      PlaceHeaderPtrRefList;
extern 	PageList         	PageRefList;
extern 	DefinitionList   	DefinitionRefList;

extern 	int              	no_of_det_transitions;
extern 	int              	no_of_exp_transitions;
extern 	int              	no_of_gen_transitions;
extern 	int              	no_of_imm_transitions;
extern 	int              	no_of_exc_transitions;
extern 	int              	no_of_mix_transitions;
extern 	int              	no_of_places;

extern 	bool     		MarkingIsInList (int, int_list*&);
extern 	void     		AddMarkingToList(int, int_list*&);

extern 	double*  		pi_vector; 
//-----------------------------------------------------------------------------------------------------------
#endif
