#ifndef __inc_exec_erand_h__
#define __inc_exec_erand_h__
//##################################################################################
//
//	 Program:           	inc_exec_erand.h
//
//	 Purpose:           	This file defines constants required by the socket
//                    		operations.
//
//	 Project Director:	Reinhard German
//
//	 Programmer:		Patrick Drescher
//
//	 History:		Release 1: June 1995
//
//----------------------------------------------------------------------------------
//
//      Modified:               July 1997 by Frank Bayer
//      Purpose:                Adaptation to the C++-structure of Agnes 
//
//
//##################################################################################


#define BACKLOG     5				// server listen backlog
#define WAIT_ONE    2         			// wait for one rand process
#define WAIT_ALL    3         			// wait for all rand processes 

extern	TextualList	TransitionNameRefList;

typedef struct					// connection
{
   int index;
   int fd;
   FILE *fp;
} connect_t;

//##################################################################################
#endif
