/*######################################################################

Komponente              :       portab.h

Project Director	:       Christoph Lindemann TU Berlin

Programmierer   	:       Kolja Koischwitz

Datum                   :       Juni 1993

########################################################################*/
#include <math.h>

#if defined(sun) && defined(__svr4__)
#define SOL2
#endif

#ifdef __hpux
#define RSH_CMD_PATH "/usr/bin/remsh"
#define RSH_CMD      "remsh"
#else
#define RSH_CMD_PATH "/usr/ucb/rsh"
#define RSH_CMD      "rsh"
#endif

#ifdef ultrix
extern char *malloc();
static char *strdup (string)
char *string;
{
	register char *new_string = (char *)malloc (strlen (string) + 1);
	if (new_string) strcpy (new_string, string);
	return new_string;
}
#endif

#if !defined(SOL2)
#if defined(ultrix) || defined(__hpux) || defined(__osf__)
#ifdef __cplusplus
static int isinf(double x)
#else
static int isinf(x)
double x;
#endif
{
	return x == HUGE_VAL || x == -HUGE_VAL;
}
#endif
#define infinity()     HUGE_VAL
#define issubnormal(x) false
#define log2(x)        (log(x)/log(2.0))
#endif

#define infinity()     HUGE_VAL

#ifndef SUNOS4 
#ifndef __erand_c__
#ifndef __SolveLGS_c__
#ifndef __rand_main_c__
#ifndef __rand_procs_c__
#ifdef __cplusplus
static double nint(double x)
#else
static double nint(x)
double x;
#endif
{
	return (x)-floor(x) < 0.5 ? floor(x) : ceil(x);
}
#endif 
#endif 
#endif 
#endif 
#endif 

#ifndef __svr4__
#define memmove(dest,src,length) bcopy((char*)(src),(char*)(dest),length)
#endif
