#ifndef __DELAYVAL_H__
#define __DELAYVAL_H__

#include "Types.h"
//##################################################################################
class DelayVal
{
	double		delay_val;
	int		trans_ref;
public:
	unsigned char	delay_typ:4;

	DelayVal();
	DelayVal(int);
	DelayVal(const DelayVal&);
	DelayVal(double, int);
	DelayVal(double, int, int);
	~DelayVal() { };

	void		Clear();
	//-------------------------------------------------------------------------
	//	Getten
	//-------------------------------------------------------------------------
	double		GetDelayVal();
	int		GetTransitionRef();

	//-------------------------------------------------------------------------
	//	Modifizieren
	//-------------------------------------------------------------------------
	void		ChangeDelayVal(double);
	void		ChangeTransitionRef(int);

	//-------------------------------------------------------------------------
	//	Operatoren	
	//-------------------------------------------------------------------------
	DelayVal&	operator =(const DelayVal&);
	bool		operator==(DelayVal&);
	bool		operator!=(DelayVal&);

	//-------------------------------------------------------------------------
	//	ListenFunktionen	
	//-------------------------------------------------------------------------
	bool		LessThan(DelayVal&);
	static char*	GetName();
};
//##################################################################################
#endif
