#ifndef __IDENTIFIER_H__
#define __IDENTIFIER_H__

#include <iostream.h>
extern "C" {
#include <ctype.h>
#include <string.h>
}
#include "Types.h"
//##################################################################################
class Identifier
{
	char*	identifier;

	//--------------------------------------------------------------------------
	//	Check ob alle Character Ziffern, Buchstaben, '_' sind (1.BS != '_')
	//--------------------------------------------------------------------------
	void Check(const char*);
public:
	Identifier();
	Identifier(int);
	Identifier(const char*);
	Identifier(const Identifier&);
	~Identifier() { Clear(); }

	void Clear();

	//---------------------------------------------------------------------------
	//	Operatoren
	//---------------------------------------------------------------------------
	Identifier& operator =(const char*);
	Identifier& operator =(const Identifier&);
	bool        operator==(char*);
	bool        operator==(Identifier&);
	bool        operator!=(char*);
	bool        operator!=(Identifier&);
	bool        operator <(char*);
	bool        operator <(Identifier&);
	bool        operator >(char*);
	bool        operator >(Identifier&);

	//---------------------------------------------------------------------------
	//	Listen-Operatoren
	//---------------------------------------------------------------------------
	bool	    	LessThan(Identifier&);
	static char*	GetName();
	//--------------------------------------------------------------------------
	//	"Getten"	
	//--------------------------------------------------------------------------
	char*	 GetChar()  const;
};
//##################################################################################
#endif

