#ifndef __InstanciateList_cc__
#define __InstanciateList_cc__

#include "List.h"
#include "List.cc"
//############################################################################
#include "Identifier.h"
#include "Textual.h"

#include "token_multiset.h"
#include "TokenMultiSet.h"

#include "Token.h"

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template	class ListElement<Textual>;
template	class ListElement<Identifier>;
template	class ListElement<Token>;
//----------------------------------------------------------------------------
template	class List<Textual>;
template	class List<Identifier>;
template	class List<Token>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "TextualList.h"
#include "PlaceHeaderPtrList.h"
#include "CellVal.h"
#include "Cell.h"
#include "Place.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<Place>;
//----------------------------------------------------------------------------
template 	class List<Place>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "Definition.h"
#include "Delay.h"
#include "DelayVal.h"
#include "ArcBindElement.h"
#include "SocketPortPair.h"
//#include "Marking.h"                                    Simulator
//#include "NonPersistentMarking.h"                       Simulator
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<DelayVal>;
template 	class ListElement<Definition>;
template 	class ListElement<ArcBindElement>;
template 	class ListElement<SocketPortPair>;
//template 	class ListElement<Marking>;               Simulator
//template 	class ListElement<NonPersistentMarking>;  Simulator
//----------------------------------------------------------------------------
template 	class List<DelayVal>;
template 	class List<Definition>;
template 	class List<ArcBindElement>;
template 	class List<SocketPortPair>;
//template 	class List<Marking>;                      Simulator
//template 	class List<NonPersistentMarking>;         Simulator
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "DefinitionList.h"
#include "Page.h"
#include "ArcBindList.h"
#include "BindingElement.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template 	class ListElement<Page>;
template 	class ListElement<BindingElement>;
//----------------------------------------------------------------------------
template 	class List<Page>;
template 	class List<BindingElement>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "Transition.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
template	class ListElement<Transition>;
template	class List<Transition>;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#include "PlaceList.h"
#include "PlacePtrList.h"
//#include "MarkingPtrList.h"                             Simulator
//#include "SMCLists.h"                                   Simulator
#include "TransitionList.h"
#include "TransitionPtrList.h"
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//template        class ListElement<SMCLists>;            Simulator
//----------------------------------------------------------------------------
//template        class List<SMCLists>;                   Simulator
//############################################################################
#endif
