#ifndef __PlaceHeader_H__
#define __PlaceHeader_H__

#include "Types.h"
//##############################################################################
class	PlaceHeader
{
	Textual		name;
	int		no;
	TokenMultiSet*	tms;
public:
	PlaceHeader();
	PlaceHeader(int);
	PlaceHeader(char*);
	PlaceHeader(char*, int);
	PlaceHeader(const PlaceHeader&);
	PlaceHeader(char*, int, TokenMultiSet*);
	PlaceHeader(char*, int, TokenMultiSet&);
	~PlaceHeader() { Clear(); }

	void		Clear();

	void		ChangeTokenMultiSet(token_multiset*&);

	int		GetPlaceNo();
	Textual&	GetPlaceName();
	TokenMultiSet*	GetCopyOfTMS();
	TokenMultiSet*	GetTokenMultiSet();

	PlaceHeader&	operator =(const PlaceHeader&);
	bool		operator==(PlaceHeader&);
	bool		operator!=(PlaceHeader&);

	static bool	LessThan(PlaceHeader&);
	char*		GetName();
};
//##############################################################################
#endif
