#ifndef __REFERENZLISTS_CC__
#define __REFERENZLISTS_CC__

#include "Identifier.h"
#include "Textual.h"
#include "TextualList.h"

#include "token_multiset.h"
#include "TokenMultiSet.h"
#include "PlaceHeader.h"
#include "PlaceHeaderPtrList.h"

#include "Token.h"
#include "TokenList.h"

#include "CellVal.h"
#include "Cell.h"

#include "Place.h"
#include "PlaceList.h"
#include "PlacePtrList.h"

#include "Delay.h"
#include "DelayVal.h"

//#include "Marking.h"                   Simulator
//#include "MarkingList.h"               Simulator
//#include "MarkingPtrList.h"            Simulator

//#include "NonPersistentMarking.h"      Simulator
//#include "NonPersistentMarkingList.h"  Simulator

//#include "SMCLists.h"                  Simulator
//#include "ListOfSMCLists.h"            Simulator

#include "SocketPortPair.h"
#include "SocketPortList.h"

#include "Transition.h"
#include "TransitionList.h"
//#include "TransitionPtrList.h"         Simulator

#include "Definition.h"
#include "DefinitionList.h"

#include "Page.h"
#include "PageList.h"

//###########################################################################
//--------------------------------------------------------------------------
//		"feste" Referenz-Elemente
//--------------------------------------------------------------------------
TokenList		TokenRefList;

DefinitionList		DefinitionRefList;
DefinitionList		EvalRefList;

PlaceList		PlaceRefList;
PlacePtrList		PlaceCapDepRefList;
PlaceHeaderPtrList	PlaceHeaderPtrRefList;
SocketPortList		SocketPortRefList;

TextualList		TransitionNameRefList;
TransitionList		InfiniteTransitionRefList;
TransitionList		ImmediateTransitionRefList;
TransitionList		ExclusiveTransitionRefList;

PageList		PageRefList;

// ListOfSMCLists		DetMarkingListList;     Simulator
//--------------------------------------------------------------------------
//		Hashs	
//--------------------------------------------------------------------------
// MarkingList**			Hash;     Simulator
// NonPersistentMarkingList**	ImmHash;          Simulator
//###########################################################################
#endif
