#ifndef __SOCKETPORTPAIR_H__
#define __SOCKETPORTPAIR_H__

#include "Types.h"
//###########################################################################################
class SocketPortPair
{
	Place*		socket;
	Textual		port;

public:
	SocketPortPair();
	SocketPortPair(int);
	SocketPortPair(Place*, char*);
	SocketPortPair(const SocketPortPair&);
	~SocketPortPair() { Clear(); }

	void		Clear();
	//-----------------------------------------------------------------------------------
	//		"Getten"
	//----------------------------------------------------------------------------------
	Textual		GetPort();
	Place* 		GetSocket();

	//----------------------------------------------------------------------------------
	//		Operatoren	
	//----------------------------------------------------------------------------------
	bool		operator==(SocketPortPair&);
	bool		operator!=(SocketPortPair&);
	SocketPortPair&	operator =(const SocketPortPair&);

	//----------------------------------------------------------------------------------
	//		Listen-Operatoren	
	//----------------------------------------------------------------------------------
	static bool	LessThan(SocketPortPair&);
	char*		GetName();
};	
//###########################################################################################
#endif
