#ifndef __TOKENMULTISET_H__
#define __TOKENMULTISET_H__

//##########################################################################################
class TokenMultiSet
{
	void	New_token_multiset(const token_multiset*);
public : 
	int			size;
	token_multiset*		tmset;
	Quant			quant;

	TokenMultiSet();
	TokenMultiSet(TokenRef, Quant);
	TokenMultiSet(token_multiset&);
	TokenMultiSet(const TokenMultiSet&);
	TokenMultiSet(const TokenMultiSet*);
	TokenMultiSet(const token_multiset*);
	~TokenMultiSet() { Clear(); }

	void		Clear();
	TokenMultiSet*	Copy();

	void		AddToken(const token_referenz*);
	void		SubToken(const token_referenz*);
	Quant 		GetQuantity(TokenRef);
	bool		IsIn(TokenRef);
	bool		IsIn(TokenRef, Quant);

	TokenMultiSet& operator =(const TokenMultiSet&);
	bool	       operator==(TokenMultiSet&);
	bool	       operator!=(TokenMultiSet&);
};
//##########################################################################################
#endif
