#ifndef __INC_CLASSES_H__
#define __INC_CLASSES_H__

//######################################################
//------------------------------------------------------
//	C++ std-includes
//------------------------------------------------------
#include <iostream.h>
#include <Uniform.h>     // Simulator
#include <ACG.h>         // Simulator

//------------------------------------------------------
//	C std-includes
//------------------------------------------------------
extern "C" {
#include <string.h>
#include <ctype.h>
#include <stdio.h>
}

//------------------------------------------------------
//	own C++ includes	
//------------------------------------------------------
#define  CC_PATH "./"

#include CC_PATH"ComfVector.h"   // Simulator
#include CC_PATH"Types.h"

#include CC_PATH"List.h"
#include CC_PATH"PtrList.h"

#include CC_PATH"Textual.h"
#include CC_PATH"TextualList.h"

#include CC_PATH"Identifier.h"
#include CC_PATH"IdentifierList.h"

#include CC_PATH"Token.h"
#include CC_PATH"TokenList.h"
#include CC_PATH"token_multiset.h"
#include CC_PATH"TokenMultiSet.h"

#include CC_PATH"PlaceHeader.h"
#include CC_PATH"PlaceHeaderPtrList.h"

#include CC_PATH"CellVal.h"
#include CC_PATH"Cell.h"

#include CC_PATH"Place.h"
#include CC_PATH"PlaceList.h"
#include CC_PATH"PlacePtrList.h"
#include CC_PATH"SocketPortPair.h"
#include CC_PATH"SocketPortList.h"

#include CC_PATH"Definition.h"
#include CC_PATH"DefinitionList.h"

#include CC_PATH"Delay.h"
#include CC_PATH"DelayVal.h"
#include CC_PATH"DelayValList.h"

#include CC_PATH"ArcBindElement.h"
#include CC_PATH"ArcBindList.h"
#include CC_PATH"BindingElement.h"
#include CC_PATH"BindingList.h"

#include CC_PATH"Transition.h"
#include CC_PATH"TransitionList.h"
//#include CC_PATH"TransitionPtrList.h"             Simulator

//#include CC_PATH"Marking.h"                       Simulator
//#include CC_PATH"MarkingList.h"                   Simulator
//#include CC_PATH"MarkingPtrList.h"                Simulator
//#include CC_PATH"NonPersistentMarking.h"          Simulator
//#include CC_PATH"NonPersistentMarkingList.h"      Simulator
//#include CC_PATH"NonPersistentMarkingPtrList.h"   Simulator

//#include CC_PATH"SMCLists.h"                      Simulator
//#include CC_PATH"ListOfSMCLists.h"                Simulator

#include CC_PATH"Page.h"
#include CC_PATH"PageList.h"

#include CC_PATH"RRGError.h"
//######################################################
#endif
