#ifndef __NETCLS_H__
#define __NETCLS_H__

#include "netcl.h"
#include "node.h"
#include "page.h"

//-----------------------------------------------------------------------------
// Der NetClassCreator erzeugt die fr das POPP-Projekt bentigten Netzklassen.
//
class NetClassCreator 
{
  void CreateHCPNClasses();
  void LoadLibrary();
  void CreateAPSYSNode(Node* node, Node* group, Text path, Text shape, 
                       bool struc, ostrstream& out);
public:
  NetClassCreator();
  static Page* FindTemplateNet(Ident name, Page* page=0, Text path="");
};

extern Net* popp_library;

#endif
