Id       ([a-zA-Z][a-zA-Z_0-9]*)
Integer  (0|[1-9]+[0-9]*)
Real     (([0-9]+\.[0-9]*|\.[0-9]+)((e|E)(\+|-)?[0-9]+)?)|([0-9]+(e|E)(\+|-)?[0-9]+)

%%

[ ]        { /* Leerzeichen ueberlesen */ }
{Real}     { sscanf (yytext, "%lf", &yylval);
             return (REALNUM); }
{Integer}  { sscanf (yytext, "%lf", &yylval);
             return (INTNUM); }
{Id}       { sscanf (yytext, "%s", &yylval);
             return (IDENT); }
\n|.|\0    { return yytext[0]; }
