/* $Id: SPNLcomment.c */

#include "err.h"
#include "gla.h"
#include "source.h"
#include "tabsize.h"

char *
#if defined(__STDC__) || defined(__cplusplus)
auxSPNLComment(char *start, int length)
#else
auxSPNLComment(start, length) char *start; int length;
#endif
{ register char c;
  register char *p = start + length;	/* first char not yet processed */

  for (;;) {
    if (*p == '\0') {
      size_t current = p - start;
      refillBuf(start);
      TokenStart = start = TEXTSTART;
      p = TEXTSTART + current;
      if (*p == '\0') {
        message(ERROR,"file ends inside this comment",0,&curpos);
        return p;
      }
    }
    c = *p++;

    if (c == '\n') { LineNum++; StartLine = p - 1; }
    else if (c == '\t') StartLine -= TABSIZE(p - StartLine);
    else if (c == '*' && *p == ')') return p + 1;
  }
}
