
/* mapping of productions to lefthand side symbols */

#include "nodecode.h"

int LHSMAP[] = {
SYMBG65, SYMBG64, SYMBG64, SYMBIdList, 
SYMBArrayId, SYMBArrayId, SYMBQualifiedId, SYMBIdOrArrayId, SYMBIdOrArrayId, 
SYMBIdOrQualId, SYMBIdOrQualId, SYMBNumber, SYMBNumber, SYMBExpOp, 
SYMBMulOp, SYMBMulOp, SYMBAddOp, SYMBAddOp, SYMBSign, 
SYMBSign, SYMBCompOp, SYMBCompOp, SYMBCompOp, SYMBCompOp, 
SYMBCompOp, SYMBCompOp, SYMBAndOp, SYMBOrOp, SYMBNotOp, 
SYMBMultipleMeasureExpr, SYMBMultipleMeasureExpr, SYMBMeasurePrimary, SYMBMeasurePrimary, SYMBMeasurePrimary, 
SYMBMeasurePrimary, SYMBMeasurePrimary, SYMBMeasurePrimary, SYMBMeasureFactor, SYMBMeasureFactor, 
SYMBMeasureTerm, SYMBMeasureTerm, SYMBMeasureSum, SYMBMeasureSum, SYMBSingleMeasureExpr, 
SYMBSingleMeasureExpr, SYMBMeasureExpression, SYMBMeasureExpression, SYMBMeasureDefinitionItem, SYMBG63, 
SYMBG63, SYMBMeasureDefinition, SYMBMeasureType, SYMBMeasureType, SYMBMeasureDeclaration, 
SYMBPredicateComp, SYMBPredicatePrimary, SYMBPredicatePrimary, SYMBPredicatePrimary, SYMBPredicatePrimary, 
SYMBPredicateFactor, SYMBPredicateFactor, SYMBPredicateTerm, SYMBPredicateTerm, SYMBPredicateSum, 
SYMBPredicateSum, SYMBPredicate, SYMBRewardPrimary, SYMBRewardPrimary, SYMBRewardPrimary, 
SYMBRewardPrimary, SYMBRewardFactor, SYMBRewardFactor, SYMBRewardTerm, SYMBRewardTerm, 
SYMBRewardSum, SYMBRewardSum, SYMBRewardSign, SYMBRewardSign, SYMBG62, 
SYMBG62, SYMBG61, SYMBRewardExpression, SYMBRewardExpression, SYMBRewardExpression, 
SYMBRewardDefinitionItem, SYMBG60, SYMBG60, SYMBRewardDefinition, SYMBRewardType, 
SYMBRewardType, SYMBRewardType, SYMBRewardDeclaration, SYMBParameterPrimary, SYMBParameterPrimary, 
SYMBParameterPrimary, SYMBParameterFactor, SYMBParameterFactor, SYMBParameterTerm, SYMBParameterTerm, 
SYMBParameterSum, SYMBParameterSum, SYMBParameterExpression, SYMBParameterExpression, SYMBParameterDeclarationItem, 
SYMBG59, SYMBG59, SYMBParameterDeclaration, SYMBLength, SYMBWidth, 
SYMBG58, SYMBG57, SYMBG56, SYMBG56, SYMBG55, 
SYMBViaPositionAttribute, SYMBOrientation, SYMBMultiplicityPosition, SYMBNamePosition, SYMBCenterPosition, 
SYMBArrayGraphicalAttribute, SYMBArrayGraphicalAttribute, SYMBArrayGraphicalAttribute, SYMBArrayGraphicalAttribute, SYMBArrayGraphicalAttribute, 
SYMBProcessGraphicalAttribute, SYMBProcessGraphicalAttribute, SYMBProcessGraphicalAttribute, SYMBProcessGraphicalAttribute, SYMBProcessGraphicalAttribute, 
SYMBPortGraphicalAttribute, SYMBPortGraphicalAttribute, SYMBArcGraphicalAttribute, SYMBArcGraphicalAttribute, SYMBTransitionGraphicalAttribute, 
SYMBTransitionGraphicalAttribute, SYMBTransitionGraphicalAttribute, SYMBPlaceGraphicalAttribute, SYMBPlaceGraphicalAttribute, SYMBG54, 
SYMBG53, SYMBG52, SYMBG52, SYMBArrayGraphicalDefItem, SYMBG51, 
SYMBG51, SYMBArrayGraphicalDefinition, SYMBG50, SYMBG49, SYMBG48, 
SYMBG48, SYMBProcessGraphicalDefItem, SYMBG47, SYMBG47, SYMBProcessGraphicalDefinition, 
SYMBG46, SYMBG45, SYMBG44, SYMBG44, SYMBPortGraphicalDefItem, 
SYMBG43, SYMBG43, SYMBPortGraphicalDefinition, SYMBG42, SYMBG41, 
SYMBG40, SYMBG40, SYMBArcGraphicalDefItem, SYMBG39, SYMBG39, 
SYMBArcGraphicalDefinition, SYMBG38, SYMBG37, SYMBG36, SYMBG36, 
SYMBTransitionGraphicalDefItem, SYMBG35, SYMBG35, SYMBTransitionGraphicalDefinition, SYMBG34, 
SYMBG33, SYMBG32, SYMBG32, SYMBPlaceGraphicalDefItem, SYMBG31, 
SYMBG31, SYMBPlaceGraphicalDefinition, SYMBGraphicalDefinition, SYMBGraphicalDefinition, SYMBGraphicalDefinition, 
SYMBGraphicalDefinition, SYMBGraphicalDefinition, SYMBGraphicalDefinition, SYMBMultiplicityType, SYMBMultiplicityType, 
SYMBMultiplicityAttribute, SYMBArcType, SYMBArcType, SYMBArcTypeAttribute, SYMBArcAttribute, 
SYMBArcAttribute, SYMBG30, SYMBG30, SYMBG29, SYMBArcDeclarationItem, 
SYMBG28, SYMBG28, SYMBArcDeclaration, SYMBTransitionType, SYMBTransitionType, 
SYMBTransitionDeclarationItem, SYMBTransitionDeclarationItem, SYMBG27, SYMBG27, SYMBTransitionDeclaration, 
SYMBPlaceDeclarationItem, SYMBPlaceDeclarationItem, SYMBG26, SYMBG26, SYMBPlaceDeclaration, 
SYMBGraphicalDeclaration, SYMBGraphicalDeclaration, SYMBGraphicalDeclaration, SYMBG25, SYMBG25, 
SYMBG24, SYMBG24, SYMBGraphicalPart, SYMBExpolinomialPrimary, SYMBExpolinomialPrimary, 
SYMBExpolinomialSum, SYMBExpolinomialSum, SYMBExpolynomial, SYMBContinuousExpression, SYMBContinuousExpression, 
SYMBImpulseExpression, SYMBImpulseExpression, SYMBExpolyDistributionPrimary, SYMBExpolyDistributionPrimary, SYMBExpolyDistributionSum, 
SYMBExpolyDistributionSum, SYMBExpolyDistribution, SYMBPoissonDistribution, SYMBBinomialDistribution, SYMBModGeometricDistribution, 
SYMBGeometricDistribution, SYMBDiscreteUniDistribution, SYMBBernoulliDistribution, SYMBDeterministicDistribution, SYMBG23, 
SYMBG22, SYMBG21, SYMBG21, SYMBVektor, SYMBG20, 
SYMBG19, SYMBG18, SYMBG18, SYMBMatrix, SYMBPhaseTypeDistribution, 
SYMBWeibullDistribution, SYMBErlangDistribution, SYMBTruncNormalDistribution, SYMBUniformDistribution, SYMBExponentialDistribution, 
SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, 
SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, 
SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBGuardAttribute, 
SYMBConcurrencyDegree, SYMBConcurrencyDegree, SYMBConcurrencyAttribute, SYMBPolicyType, SYMBPolicyType, 
SYMBPolicyType, SYMBPolicyAttribute, SYMBMarkingDependencyType, SYMBMarkingDependencyType, SYMBMarkingDependencyType, 
SYMBMarkingDependencyAttribute, SYMBWeightAttribute, SYMBDistributionAttribute, SYMBPriorityAttribute, SYMBTransitionAttribute, 
SYMBTransitionAttribute, SYMBTransitionAttribute, SYMBTransitionAttribute, SYMBTransitionAttribute, SYMBTransitionAttribute, 
SYMBTransitionAttribute, SYMBG17, SYMBG16, SYMBG15, SYMBG15, 
SYMBTransitionAttributeDefItem, SYMBG14, SYMBG14, SYMBTransitionAttributeDef, SYMBPrivateDefinition, 
SYMBPrivateDefinition, SYMBPrivateDefinition, SYMBProcessUsage, SYMBPrivateDeclaration, SYMBPrivateDeclaration, 
SYMBPrivateDeclaration, SYMBPrivateDeclaration, SYMBPrivateDeclaration, SYMBPortMulExpression, SYMBPortMultAttribute, 
SYMBPortType, SYMBPortType, SYMBPortType, SYMBPortType, SYMBPortType, 
SYMBPortType, SYMBPortDeclarationItem, SYMBPortDeclarationItem, SYMBG13, SYMBG13, 
SYMBPortDeclaration, SYMBPublicDeclaration, SYMBPublicDeclaration, SYMBPublicDeclaration, SYMBG12, 
SYMBG12, SYMBG11, SYMBG11, SYMBG10, SYMBG10, 
SYMBProcessBody, SYMBActParameterPrimary, SYMBActParameterPrimary, SYMBActParameterPrimary, SYMBActParameterFactor, 
SYMBActParameterFactor, SYMBActParameterTerm, SYMBActParameterTerm, SYMBActParameterSum, SYMBActParameterSum, 
SYMBActParameterExpression, SYMBActParameterExpression, SYMBActualParameterExpression, SYMBActualParameterExpression, SYMBG9, 
SYMBG8, SYMBG7, SYMBG7, SYMBActualParameters, SYMBG6, 
SYMBG6, SYMBEnumeration, SYMBProcessInstantiationItem, SYMBProcessInstantiationItem, SYMBProcessInstantiationItem, 
SYMBProcessInstantiationItem, SYMBG5, SYMBG5, SYMBProcessInstantiation, SYMBFormalParameterType, 
SYMBFormalParameterType, SYMBFormalParameterType, SYMBFormalParameterItem, SYMBG4, SYMBG3, 
SYMBG2, SYMBG2, SYMBFormalParameters, SYMBProcessTypeDeclaration, SYMBProcessTypeDeclaration, 
SYMBProcessDeclaration, SYMBDeclaration, SYMBDeclaration, SYMBDeclaration, SYMBDeclaration, 
SYMBImport, SYMBG1, SYMBG1, SYMBSPNL_Module, SYMBSPNL_Module
};

