
/* encoding of tree node types and symbols */

#ifndef NODECODE_H
#define NODECODE_H

extern int LHSMAP[];

#define IsSymb(_n,_c) (LHSMAP[(_n)->_prod] == (_c))

#define SYMBSPNL_Module 0
#define SYMBG1 1
#define SYMBImport 2
#define SYMBDeclaration 3
#define SYMBIdList 4
#define SYMBParameterDeclaration 5
#define SYMBProcessDeclaration 6
#define SYMBProcessTypeDeclaration 7
#define SYMBProcessInstantiation 8
#define SYMBProcessBody 9
#define SYMBFormalParameters 10
#define SYMBG4 11
#define SYMBG2 12
#define SYMBG3 13
#define SYMBFormalParameterItem 14
#define SYMBFormalParameterType 15
#define SYMBG5 16
#define SYMBProcessInstantiationItem 17
#define SYMBActualParameters 18
#define SYMBEnumeration 19
#define SYMBG6 20
#define SYMBG9 21
#define SYMBG7 22
#define SYMBG8 23
#define SYMBActualParameterExpression 24
#define SYMBArrayId 25
#define SYMBParameterExpression 26
#define SYMBActParameterExpression 27
#define SYMBSign 28
#define SYMBActParameterSum 29
#define SYMBAddOp 30
#define SYMBActParameterTerm 31
#define SYMBMulOp 32
#define SYMBActParameterFactor 33
#define SYMBExpOp 34
#define SYMBActParameterPrimary 35
#define SYMBNumber 36
#define SYMBIdOrArrayId 37
#define SYMBG10 38
#define SYMBG11 39
#define SYMBGraphicalPart 40
#define SYMBG12 41
#define SYMBPublicDeclaration 42
#define SYMBPrivateDeclaration 43
#define SYMBPrivateDefinition 44
#define SYMBPortDeclaration 45
#define SYMBRewardDeclaration 46
#define SYMBMeasureDeclaration 47
#define SYMBG13 48
#define SYMBPortDeclarationItem 49
#define SYMBPortType 50
#define SYMBPortMultAttribute 51
#define SYMBPortMulExpression 52
#define SYMBProcessUsage 53
#define SYMBRewardDefinition 54
#define SYMBMeasureDefinition 55
#define SYMBTransitionAttributeDef 56
#define SYMBG14 57
#define SYMBTransitionAttributeDefItem 58
#define SYMBG17 59
#define SYMBG15 60
#define SYMBG16 61
#define SYMBTransitionAttribute 62
#define SYMBPriorityAttribute 63
#define SYMBDistributionAttribute 64
#define SYMBWeightAttribute 65
#define SYMBMarkingDependencyAttribute 66
#define SYMBPolicyAttribute 67
#define SYMBConcurrencyAttribute 68
#define SYMBGuardAttribute 69
#define SYMBRewardExpression 70
#define SYMBDistributionExpression 71
#define SYMBMarkingDependencyType 72
#define SYMBPolicyType 73
#define SYMBConcurrencyDegree 74
#define SYMBPredicate 75
#define SYMBExponentialDistribution 76
#define SYMBUniformDistribution 77
#define SYMBTruncNormalDistribution 78
#define SYMBErlangDistribution 79
#define SYMBWeibullDistribution 80
#define SYMBPhaseTypeDistribution 81
#define SYMBDeterministicDistribution 82
#define SYMBBernoulliDistribution 83
#define SYMBDiscreteUniDistribution 84
#define SYMBGeometricDistribution 85
#define SYMBModGeometricDistribution 86
#define SYMBBinomialDistribution 87
#define SYMBPoissonDistribution 88
#define SYMBExpolyDistribution 89
#define SYMBMatrix 90
#define SYMBVektor 91
#define SYMBG20 92
#define SYMBG18 93
#define SYMBG19 94
#define SYMBG23 95
#define SYMBG21 96
#define SYMBG22 97
#define SYMBExpolyDistributionSum 98
#define SYMBExpolyDistributionPrimary 99
#define SYMBImpulseExpression 100
#define SYMBContinuousExpression 101
#define SYMBExpolynomial 102
#define SYMBExpolinomialSum 103
#define SYMBExpolinomialPrimary 104
#define SYMBG24 105
#define SYMBG25 106
#define SYMBGraphicalDeclaration 107
#define SYMBGraphicalDefinition 108
#define SYMBPlaceDeclaration 109
#define SYMBTransitionDeclaration 110
#define SYMBArcDeclaration 111
#define SYMBG26 112
#define SYMBPlaceDeclarationItem 113
#define SYMBG27 114
#define SYMBTransitionDeclarationItem 115
#define SYMBTransitionType 116
#define SYMBG28 117
#define SYMBArcDeclarationItem 118
#define SYMBIdOrQualId 119
#define SYMBG30 120
#define SYMBG29 121
#define SYMBArcAttribute 122
#define SYMBArcTypeAttribute 123
#define SYMBMultiplicityAttribute 124
#define SYMBArcType 125
#define SYMBMultiplicityType 126
#define SYMBPlaceGraphicalDefinition 127
#define SYMBTransitionGraphicalDefinition 128
#define SYMBArcGraphicalDefinition 129
#define SYMBPortGraphicalDefinition 130
#define SYMBProcessGraphicalDefinition 131
#define SYMBArrayGraphicalDefinition 132
#define SYMBG31 133
#define SYMBPlaceGraphicalDefItem 134
#define SYMBG34 135
#define SYMBG32 136
#define SYMBG33 137
#define SYMBPlaceGraphicalAttribute 138
#define SYMBG35 139
#define SYMBTransitionGraphicalDefItem 140
#define SYMBG38 141
#define SYMBG36 142
#define SYMBG37 143
#define SYMBTransitionGraphicalAttribute 144
#define SYMBG39 145
#define SYMBArcGraphicalDefItem 146
#define SYMBG42 147
#define SYMBG40 148
#define SYMBG41 149
#define SYMBArcGraphicalAttribute 150
#define SYMBG43 151
#define SYMBPortGraphicalDefItem 152
#define SYMBG46 153
#define SYMBG44 154
#define SYMBG45 155
#define SYMBPortGraphicalAttribute 156
#define SYMBG47 157
#define SYMBProcessGraphicalDefItem 158
#define SYMBG50 159
#define SYMBG48 160
#define SYMBG49 161
#define SYMBProcessGraphicalAttribute 162
#define SYMBG51 163
#define SYMBArrayGraphicalDefItem 164
#define SYMBG54 165
#define SYMBG52 166
#define SYMBG53 167
#define SYMBArrayGraphicalAttribute 168
#define SYMBCenterPosition 169
#define SYMBNamePosition 170
#define SYMBOrientation 171
#define SYMBViaPositionAttribute 172
#define SYMBMultiplicityPosition 173
#define SYMBWidth 174
#define SYMBLength 175
#define SYMBG58 176
#define SYMBG55 177
#define SYMBG56 178
#define SYMBG57 179
#define SYMBG59 180
#define SYMBParameterDeclarationItem 181
#define SYMBParameterSum 182
#define SYMBParameterTerm 183
#define SYMBParameterFactor 184
#define SYMBParameterPrimary 185
#define SYMBRewardType 186
#define SYMBG60 187
#define SYMBRewardDefinitionItem 188
#define SYMBRewardSign 189
#define SYMBG62 190
#define SYMBG61 191
#define SYMBRewardSum 192
#define SYMBRewardTerm 193
#define SYMBRewardFactor 194
#define SYMBRewardPrimary 195
#define SYMBPredicateSum 196
#define SYMBOrOp 197
#define SYMBPredicateTerm 198
#define SYMBAndOp 199
#define SYMBPredicateFactor 200
#define SYMBNotOp 201
#define SYMBPredicatePrimary 202
#define SYMBPredicateComp 203
#define SYMBCompOp 204
#define SYMBMeasureType 205
#define SYMBG63 206
#define SYMBMeasureDefinitionItem 207
#define SYMBMeasureExpression 208
#define SYMBSingleMeasureExpr 209
#define SYMBMultipleMeasureExpr 210
#define SYMBMeasureSum 211
#define SYMBMeasureTerm 212
#define SYMBMeasureFactor 213
#define SYMBMeasurePrimary 214
#define SYMBQualifiedId 215
#define SYMBG64 216
#define SYMBG65 217
#define RULErule_388 0
#define RULErule_387 1
#define RULErule_386 2
#define RULErule_385 3
#define RULErule_384 4
#define RULErule_383 5
#define RULErule_382 6
#define RULErule_381 7
#define RULErule_380 8
#define RULErule_379 9
#define RULErule_378 10
#define RULErule_377 11
#define RULErule_376 12
#define RULErule_375 13
#define RULErule_374 14
#define RULErule_373 15
#define RULErule_372 16
#define RULErule_371 17
#define RULErule_370 18
#define RULErule_369 19
#define RULErule_368 20
#define RULErule_367 21
#define RULErule_366 22
#define RULErule_365 23
#define RULErule_364 24
#define RULErule_363 25
#define RULErule_362 26
#define RULErule_361 27
#define RULErule_360 28
#define RULErule_359 29
#define RULErule_358 30
#define RULErule_357 31
#define RULErule_356 32
#define RULErule_355 33
#define RULErule_354 34
#define RULErule_353 35
#define RULErule_352 36
#define RULErule_351 37
#define RULErule_350 38
#define RULErule_349 39
#define RULErule_348 40
#define RULErule_347 41
#define RULErule_346 42
#define RULErule_345 43
#define RULErule_344 44
#define RULErule_343 45
#define RULErule_342 46
#define RULErule_341 47
#define RULErule_340 48
#define RULErule_339 49
#define RULErule_338 50
#define RULErule_337 51
#define RULErule_336 52
#define RULErule_335 53
#define RULErule_334 54
#define RULErule_333 55
#define RULErule_332 56
#define RULErule_331 57
#define RULErule_330 58
#define RULErule_329 59
#define RULErule_328 60
#define RULErule_327 61
#define RULErule_326 62
#define RULErule_325 63
#define RULErule_324 64
#define RULErule_323 65
#define RULErule_322 66
#define RULErule_321 67
#define RULErule_320 68
#define RULErule_319 69
#define RULErule_318 70
#define RULErule_317 71
#define RULErule_316 72
#define RULErule_315 73
#define RULErule_314 74
#define RULErule_313 75
#define RULErule_312 76
#define RULErule_311 77
#define RULErule_310 78
#define RULErule_309 79
#define RULErule_308 80
#define RULErule_307 81
#define RULErule_306 82
#define RULErule_305 83
#define RULErule_304 84
#define RULErule_303 85
#define RULErule_302 86
#define RULErule_301 87
#define RULErule_300 88
#define RULErule_299 89
#define RULErule_298 90
#define RULErule_297 91
#define RULErule_296 92
#define RULErule_295 93
#define RULErule_294 94
#define RULErule_293 95
#define RULErule_292 96
#define RULErule_291 97
#define RULErule_290 98
#define RULErule_289 99
#define RULErule_288 100
#define RULErule_287 101
#define RULErule_286 102
#define RULErule_285 103
#define RULErule_284 104
#define RULErule_283 105
#define RULErule_282 106
#define RULErule_281 107
#define RULErule_280 108
#define RULErule_279 109
#define RULErule_278 110
#define RULErule_277 111
#define RULErule_276 112
#define RULErule_275 113
#define RULErule_274 114
#define RULErule_273 115
#define RULErule_272 116
#define RULErule_271 117
#define RULErule_270 118
#define RULErule_269 119
#define RULErule_268 120
#define RULErule_267 121
#define RULErule_266 122
#define RULErule_265 123
#define RULErule_264 124
#define RULErule_263 125
#define RULErule_262 126
#define RULErule_261 127
#define RULErule_260 128
#define RULErule_259 129
#define RULErule_258 130
#define RULErule_257 131
#define RULErule_256 132
#define RULErule_255 133
#define RULErule_254 134
#define RULErule_253 135
#define RULErule_252 136
#define RULErule_251 137
#define RULErule_250 138
#define RULErule_249 139
#define RULErule_248 140
#define RULErule_247 141
#define RULErule_246 142
#define RULErule_245 143
#define RULErule_244 144
#define RULErule_243 145
#define RULErule_242 146
#define RULErule_241 147
#define RULErule_240 148
#define RULErule_239 149
#define RULErule_238 150
#define RULErule_237 151
#define RULErule_236 152
#define RULErule_235 153
#define RULErule_234 154
#define RULErule_233 155
#define RULErule_232 156
#define RULErule_231 157
#define RULErule_230 158
#define RULErule_229 159
#define RULErule_228 160
#define RULErule_227 161
#define RULErule_226 162
#define RULErule_225 163
#define RULErule_224 164
#define RULErule_223 165
#define RULErule_222 166
#define RULErule_221 167
#define RULErule_220 168
#define RULErule_219 169
#define RULErule_218 170
#define RULErule_217 171
#define RULErule_216 172
#define RULErule_215 173
#define RULErule_214 174
#define RULErule_213 175
#define RULErule_212 176
#define RULErule_211 177
#define RULErule_210 178
#define RULErule_209 179
#define RULErule_208 180
#define RULErule_207 181
#define RULErule_206 182
#define RULErule_205 183
#define RULErule_204 184
#define RULErule_203 185
#define RULErule_202 186
#define RULErule_201 187
#define RULErule_200 188
#define RULErule_199 189
#define RULErule_198 190
#define RULErule_197 191
#define RULErule_196 192
#define RULErule_195 193
#define RULErule_194 194
#define RULErule_193 195
#define RULErule_192 196
#define RULErule_191 197
#define RULErule_190 198
#define RULErule_189 199
#define RULErule_188 200
#define RULErule_187 201
#define RULErule_186 202
#define RULErule_185 203
#define RULErule_184 204
#define RULErule_183 205
#define RULErule_182 206
#define RULErule_181 207
#define RULErule_180 208
#define RULErule_179 209
#define RULErule_178 210
#define RULErule_177 211
#define RULErule_176 212
#define RULErule_175 213
#define RULErule_174 214
#define RULErule_173 215
#define RULErule_172 216
#define RULErule_171 217
#define RULErule_170 218
#define RULErule_169 219
#define RULErule_168 220
#define RULErule_167 221
#define RULErule_166 222
#define RULErule_165 223
#define RULErule_164 224
#define RULErule_163 225
#define RULErule_162 226
#define RULErule_161 227
#define RULErule_160 228
#define RULErule_159 229
#define RULErule_158 230
#define RULErule_157 231
#define RULErule_156 232
#define RULErule_155 233
#define RULErule_154 234
#define RULErule_153 235
#define RULErule_152 236
#define RULErule_151 237
#define RULErule_150 238
#define RULErule_149 239
#define RULErule_148 240
#define RULErule_147 241
#define RULErule_146 242
#define RULErule_145 243
#define RULErule_144 244
#define RULErule_143 245
#define RULErule_142 246
#define RULErule_141 247
#define RULErule_140 248
#define RULErule_139 249
#define RULErule_138 250
#define RULErule_137 251
#define RULErule_136 252
#define RULErule_135 253
#define RULErule_134 254
#define RULErule_133 255
#define RULErule_132 256
#define RULErule_131 257
#define RULErule_130 258
#define RULErule_129 259
#define RULErule_128 260
#define RULErule_127 261
#define RULErule_126 262
#define RULErule_125 263
#define RULErule_124 264
#define RULErule_123 265
#define RULErule_122 266
#define RULErule_121 267
#define RULErule_120 268
#define RULErule_119 269
#define RULErule_118 270
#define RULErule_117 271
#define RULErule_116 272
#define RULErule_115 273
#define RULErule_114 274
#define RULErule_113 275
#define RULErule_112 276
#define RULErule_111 277
#define RULErule_110 278
#define RULErule_109 279
#define RULErule_108 280
#define RULErule_107 281
#define RULErule_106 282
#define RULErule_105 283
#define RULErule_104 284
#define RULErule_103 285
#define RULErule_102 286
#define RULErule_101 287
#define RULErule_100 288
#define RULErule_099 289
#define RULErule_098 290
#define RULErule_097 291
#define RULErule_096 292
#define RULErule_095 293
#define RULErule_094 294
#define RULErule_093 295
#define RULErule_092 296
#define RULErule_091 297
#define RULErule_090 298
#define RULErule_089 299
#define RULErule_088 300
#define RULErule_087 301
#define RULErule_086 302
#define RULErule_085 303
#define RULErule_084 304
#define RULErule_083 305
#define RULErule_082 306
#define RULErule_081 307
#define RULErule_080 308
#define RULErule_079 309
#define RULErule_078 310
#define RULErule_077 311
#define RULErule_076 312
#define RULErule_075 313
#define RULErule_074 314
#define RULErule_073 315
#define RULErule_072 316
#define RULErule_071 317
#define RULErule_070 318
#define RULErule_069 319
#define RULErule_068 320
#define RULErule_067 321
#define RULErule_066 322
#define RULErule_065 323
#define RULErule_064 324
#define RULErule_063 325
#define RULErule_062 326
#define RULErule_061 327
#define RULErule_060 328
#define RULErule_059 329
#define RULErule_058 330
#define RULErule_057 331
#define RULErule_056 332
#define RULErule_055 333
#define RULErule_054 334
#define RULErule_053 335
#define RULErule_052 336
#define RULErule_051 337
#define RULErule_050 338
#define RULErule_049 339
#define RULErule_048 340
#define RULErule_047 341
#define RULErule_046 342
#define RULErule_045 343
#define RULErule_044 344
#define RULErule_043 345
#define RULErule_042 346
#define RULErule_041 347
#define RULErule_040 348
#define RULErule_039 349
#define RULErule_038 350
#define RULErule_037 351
#define RULErule_036 352
#define RULErule_035 353
#define RULErule_034 354
#define RULErule_033 355
#define RULErule_032 356
#define RULErule_031 357
#define RULErule_030 358
#define RULErule_029 359
#define RULErule_028 360
#define RULErule_027 361
#define RULErule_026 362
#define RULErule_025 363
#define RULErule_024 364
#define RULErule_023 365
#define RULErule_022 366
#define RULErule_021 367
#define RULErule_020 368
#define RULErule_019 369
#define RULErule_018 370
#define RULErule_017 371
#define RULErule_016 372
#define RULErule_015 373
#define RULErule_014 374
#define RULErule_013 375
#define RULErule_012 376
#define RULErule_011 377
#define RULErule_010 378
#define RULErule_009 379
#define RULErule_008 380
#define RULErule_007 381
#define RULErule_006 382
#define RULErule_005 383
#define RULErule_004 384
#define RULErule_003 385
#define RULErule_002 386
#define RULErule_001 387
#define RULErule_000 388
#endif
