
/* mapping of productions to lefthand side symbols */

#include "nodecode.h"

int LHSMAP[] = {
SYMBG25, SYMBG25, SYMBG24, SYMBG24, 
SYMBGlobalId, SYMBGlobalId, SYMBNumber, SYMBNumber, SYMBExpOp, 
SYMBMulOp, SYMBMulOp, SYMBAddOp, SYMBAddOp, SYMBSign, 
SYMBSign, SYMBCompOp, SYMBCompOp, SYMBCompOp, SYMBCompOp, 
SYMBCompOp, SYMBCompOp, SYMBAndOp, SYMBOrOp, SYMBNotOp, 
SYMBExpolinomialPrimary, SYMBExpolinomialPrimary, SYMBExpolinomialSum, SYMBExpolinomialSum, SYMBExpolynomial, 
SYMBContinuousExpression, SYMBContinuousExpression, SYMBImpulseExpression, SYMBImpulseExpression, SYMBExpolyDistributionPrimary, 
SYMBExpolyDistributionPrimary, SYMBExpolyDistributionSum, SYMBExpolyDistributionSum, SYMBExpolyDistribution, SYMBPoissonDistribution, 
SYMBBinomialDistribution, SYMBModGeometricDistribution, SYMBGeometricDistribution, SYMBDiscreteUniDistribution, SYMBBernoulliDistribution, 
SYMBDeterministicDistribution, SYMBG23, SYMBG22, SYMBG21, SYMBG21, 
SYMBVektor, SYMBG20, SYMBG19, SYMBG18, SYMBG18, 
SYMBMatrix, SYMBPhaseTypeDistribution, SYMBWeibullDistribution, SYMBErlangDistribution, SYMBTruncNormalDistribution, 
SYMBUniformDistribution, SYMBExponentialDistribution, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, 
SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, 
SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, SYMBDistributionExpression, 
SYMBDistributionExpression, SYMBMeasureParameter, SYMBMeasureParameter, SYMBG17, SYMBG17, 
SYMBMeasureParameters, SYMBMultMeasureExpr, SYMBMultMeasureExpr, SYMBMeasurePrimary, SYMBMeasurePrimary, 
SYMBMeasurePrimary, SYMBMeasurePrimary, SYMBMeasurePrimary, SYMBMeasureFactor, SYMBMeasureFactor, 
SYMBMeasureTerm, SYMBMeasureTerm, SYMBMeasureSum, SYMBMeasureSum, SYMBSingleMeasureExpr, 
SYMBSingleMeasureExpr, SYMBMeasureExpression, SYMBMeasureExpression, SYMBMeasure, SYMBG16, 
SYMBG16, SYMBMeasures, SYMBPredicateComp, SYMBPredicatePrimary, SYMBPredicatePrimary, 
SYMBPredicatePrimary, SYMBPredicatePrimary, SYMBPredicateFactor, SYMBPredicateFactor, SYMBPredicateTerm, 
SYMBPredicateTerm, SYMBPredicateSum, SYMBPredicateSum, SYMBPredicate, SYMBRewardPrimary, 
SYMBRewardPrimary, SYMBRewardPrimary, SYMBRewardPrimary, SYMBRewardFactor, SYMBRewardFactor, 
SYMBRewardTerm, SYMBRewardTerm, SYMBRewardSum, SYMBRewardSum, SYMBRewardSign, 
SYMBRewardSign, SYMBG15, SYMBG15, SYMBG14, SYMBRewardExpression, 
SYMBRewardExpression, SYMBRewardExpression, SYMBReward, SYMBG13, SYMBG13, 
SYMBRewards, SYMBMultiplicityAttribute, SYMBArcType, SYMBArcType, SYMBArcTypeAttribute, 
SYMBArcAttribute, SYMBArcAttribute, SYMBG12, SYMBG12, SYMBG11, 
SYMBArc, SYMBG10, SYMBG10, SYMBArcs, SYMBGuardAttribute, 
SYMBConcurrencyDegree, SYMBConcurrencyDegree, SYMBConcurrencyAttribute, SYMBPolicyType, SYMBPolicyType, 
SYMBPolicyType, SYMBPolicyAttribute, SYMBMarkingDependencyType, SYMBMarkingDependencyType, SYMBMarkingDependencyType, 
SYMBMarkingDependencyAttribute, SYMBWeightAttribute, SYMBDistributionAttribute, SYMBPriorityAttribute, SYMBTransitionAttribute, 
SYMBTransitionAttribute, SYMBTransitionAttribute, SYMBTransitionAttribute, SYMBTransitionAttribute, SYMBTransitionAttribute, 
SYMBTransitionAttribute, SYMBG9, SYMBG8, SYMBG7, SYMBG7, 
SYMBTransitionAttributeDefItem, SYMBG6, SYMBG6, SYMBTransitionAttributes, SYMBTransitionType, 
SYMBTransitionType, SYMBTransition, SYMBTransition, SYMBG5, SYMBG5, 
SYMBTransitions, SYMBPlace, SYMBPlace, SYMBG4, SYMBG4, 
SYMBPlaces, SYMBParameterPrimary, SYMBParameterPrimary, SYMBParameterPrimary, SYMBParameterFactor, 
SYMBParameterFactor, SYMBParameterTerm, SYMBParameterTerm, SYMBParameterSum, SYMBParameterSum, 
SYMBParameterExpression, SYMBParameterExpression, SYMBParameter, SYMBParameter, SYMBG3, 
SYMBG3, SYMBParameters, SYMBConnection, SYMBG2, SYMBG2, 
SYMBConnections, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, SYMBSectionElements, 
SYMBSectionElements, SYMBSectionElements, SYMBSectionBody, SYMBG1, SYMBG1, 
SYMBCompiledSPNL, SYMBCompiledSPNL
};

