
/* encoding of tree node types and symbols */

#ifndef NODECODE_H
#define NODECODE_H

extern int LHSMAP[];

#define IsSymb(_n,_c) (LHSMAP[(_n)->_prod] == (_c))

#define SYMBCompiledSPNL 0
#define SYMBG1 1
#define SYMBConnections 2
#define SYMBSectionBody 3
#define SYMBSectionElements 4
#define SYMBMeasureParameters 5
#define SYMBMeasures 6
#define SYMBRewards 7
#define SYMBArcs 8
#define SYMBTransitionAttributes 9
#define SYMBTransitions 10
#define SYMBPlaces 11
#define SYMBParameters 12
#define SYMBG2 13
#define SYMBConnection 14
#define SYMBG3 15
#define SYMBParameter 16
#define SYMBGlobalId 17
#define SYMBParameterExpression 18
#define SYMBSign 19
#define SYMBParameterSum 20
#define SYMBAddOp 21
#define SYMBParameterTerm 22
#define SYMBMulOp 23
#define SYMBParameterFactor 24
#define SYMBExpOp 25
#define SYMBParameterPrimary 26
#define SYMBNumber 27
#define SYMBG4 28
#define SYMBPlace 29
#define SYMBG5 30
#define SYMBTransition 31
#define SYMBTransitionType 32
#define SYMBG6 33
#define SYMBTransitionAttributeDefItem 34
#define SYMBG9 35
#define SYMBG7 36
#define SYMBG8 37
#define SYMBTransitionAttribute 38
#define SYMBPriorityAttribute 39
#define SYMBDistributionAttribute 40
#define SYMBWeightAttribute 41
#define SYMBMarkingDependencyAttribute 42
#define SYMBPolicyAttribute 43
#define SYMBConcurrencyAttribute 44
#define SYMBGuardAttribute 45
#define SYMBRewardExpression 46
#define SYMBDistributionExpression 47
#define SYMBMarkingDependencyType 48
#define SYMBPolicyType 49
#define SYMBConcurrencyDegree 50
#define SYMBPredicate 51
#define SYMBG10 52
#define SYMBArc 53
#define SYMBG12 54
#define SYMBG11 55
#define SYMBArcAttribute 56
#define SYMBArcTypeAttribute 57
#define SYMBMultiplicityAttribute 58
#define SYMBArcType 59
#define SYMBG13 60
#define SYMBReward 61
#define SYMBRewardSign 62
#define SYMBG15 63
#define SYMBG14 64
#define SYMBRewardSum 65
#define SYMBRewardTerm 66
#define SYMBRewardFactor 67
#define SYMBRewardPrimary 68
#define SYMBPredicateSum 69
#define SYMBOrOp 70
#define SYMBPredicateTerm 71
#define SYMBAndOp 72
#define SYMBPredicateFactor 73
#define SYMBNotOp 74
#define SYMBPredicatePrimary 75
#define SYMBPredicateComp 76
#define SYMBCompOp 77
#define SYMBG16 78
#define SYMBMeasure 79
#define SYMBMeasureExpression 80
#define SYMBSingleMeasureExpr 81
#define SYMBMultMeasureExpr 82
#define SYMBMeasureSum 83
#define SYMBMeasureTerm 84
#define SYMBMeasureFactor 85
#define SYMBMeasurePrimary 86
#define SYMBG17 87
#define SYMBMeasureParameter 88
#define SYMBExponentialDistribution 89
#define SYMBUniformDistribution 90
#define SYMBTruncNormalDistribution 91
#define SYMBErlangDistribution 92
#define SYMBWeibullDistribution 93
#define SYMBPhaseTypeDistribution 94
#define SYMBDeterministicDistribution 95
#define SYMBBernoulliDistribution 96
#define SYMBDiscreteUniDistribution 97
#define SYMBGeometricDistribution 98
#define SYMBModGeometricDistribution 99
#define SYMBBinomialDistribution 100
#define SYMBPoissonDistribution 101
#define SYMBExpolyDistribution 102
#define SYMBMatrix 103
#define SYMBVektor 104
#define SYMBG20 105
#define SYMBG18 106
#define SYMBG19 107
#define SYMBG23 108
#define SYMBG21 109
#define SYMBG22 110
#define SYMBExpolyDistributionSum 111
#define SYMBExpolyDistributionPrimary 112
#define SYMBImpulseExpression 113
#define SYMBContinuousExpression 114
#define SYMBExpolynomial 115
#define SYMBExpolinomialSum 116
#define SYMBExpolinomialPrimary 117
#define SYMBG25 118
#define SYMBG24 119
#define RULErule_470 0
#define RULErule_469 1
#define RULErule_468 2
#define RULErule_467 3
#define RULErule_466 4
#define RULErule_465 5
#define RULErule_464 6
#define RULErule_463 7
#define RULErule_462 8
#define RULErule_461 9
#define RULErule_460 10
#define RULErule_459 11
#define RULErule_458 12
#define RULErule_457 13
#define RULErule_456 14
#define RULErule_455 15
#define RULErule_454 16
#define RULErule_453 17
#define RULErule_452 18
#define RULErule_451 19
#define RULErule_450 20
#define RULErule_449 21
#define RULErule_448 22
#define RULErule_447 23
#define RULErule_446 24
#define RULErule_445 25
#define RULErule_444 26
#define RULErule_443 27
#define RULErule_442 28
#define RULErule_441 29
#define RULErule_440 30
#define RULErule_439 31
#define RULErule_438 32
#define RULErule_437 33
#define RULErule_436 34
#define RULErule_435 35
#define RULErule_434 36
#define RULErule_433 37
#define RULErule_432 38
#define RULErule_431 39
#define RULErule_430 40
#define RULErule_429 41
#define RULErule_428 42
#define RULErule_427 43
#define RULErule_426 44
#define RULErule_425 45
#define RULErule_424 46
#define RULErule_423 47
#define RULErule_422 48
#define RULErule_421 49
#define RULErule_420 50
#define RULErule_419 51
#define RULErule_418 52
#define RULErule_417 53
#define RULErule_416 54
#define RULErule_415 55
#define RULErule_414 56
#define RULErule_413 57
#define RULErule_412 58
#define RULErule_411 59
#define RULErule_410 60
#define RULErule_409 61
#define RULErule_408 62
#define RULErule_407 63
#define RULErule_406 64
#define RULErule_405 65
#define RULErule_404 66
#define RULErule_403 67
#define RULErule_402 68
#define RULErule_401 69
#define RULErule_400 70
#define RULErule_399 71
#define RULErule_398 72
#define RULErule_397 73
#define RULErule_396 74
#define RULErule_395 75
#define RULErule_394 76
#define RULErule_393 77
#define RULErule_392 78
#define RULErule_391 79
#define RULErule_390 80
#define RULErule_389 81
#define RULErule_388 82
#define RULErule_387 83
#define RULErule_386 84
#define RULErule_385 85
#define RULErule_384 86
#define RULErule_383 87
#define RULErule_382 88
#define RULErule_381 89
#define RULErule_380 90
#define RULErule_379 91
#define RULErule_378 92
#define RULErule_377 93
#define RULErule_376 94
#define RULErule_375 95
#define RULErule_374 96
#define RULErule_373 97
#define RULErule_372 98
#define RULErule_371 99
#define RULErule_370 100
#define RULErule_369 101
#define RULErule_368 102
#define RULErule_367 103
#define RULErule_366 104
#define RULErule_365 105
#define RULErule_364 106
#define RULErule_363 107
#define RULErule_362 108
#define RULErule_361 109
#define RULErule_360 110
#define RULErule_359 111
#define RULErule_358 112
#define RULErule_357 113
#define RULErule_356 114
#define RULErule_355 115
#define RULErule_354 116
#define RULErule_353 117
#define RULErule_352 118
#define RULErule_351 119
#define RULErule_350 120
#define RULErule_349 121
#define RULErule_348 122
#define RULErule_347 123
#define RULErule_346 124
#define RULErule_345 125
#define RULErule_344 126
#define RULErule_343 127
#define RULErule_342 128
#define RULErule_341 129
#define RULErule_340 130
#define RULErule_339 131
#define RULErule_338 132
#define RULErule_337 133
#define RULErule_336 134
#define RULErule_335 135
#define RULErule_334 136
#define RULErule_333 137
#define RULErule_332 138
#define RULErule_331 139
#define RULErule_330 140
#define RULErule_329 141
#define RULErule_328 142
#define RULErule_327 143
#define RULErule_326 144
#define RULErule_325 145
#define RULErule_324 146
#define RULErule_323 147
#define RULErule_322 148
#define RULErule_321 149
#define RULErule_320 150
#define RULErule_319 151
#define RULErule_318 152
#define RULErule_317 153
#define RULErule_316 154
#define RULErule_315 155
#define RULErule_314 156
#define RULErule_313 157
#define RULErule_312 158
#define RULErule_311 159
#define RULErule_310 160
#define RULErule_309 161
#define RULErule_308 162
#define RULErule_307 163
#define RULErule_306 164
#define RULErule_305 165
#define RULErule_304 166
#define RULErule_303 167
#define RULErule_302 168
#define RULErule_301 169
#define RULErule_300 170
#define RULErule_299 171
#define RULErule_298 172
#define RULErule_297 173
#define RULErule_296 174
#define RULErule_295 175
#define RULErule_294 176
#define RULErule_293 177
#define RULErule_292 178
#define RULErule_291 179
#define RULErule_290 180
#define RULErule_289 181
#define RULErule_288 182
#define RULErule_287 183
#define RULErule_286 184
#define RULErule_285 185
#define RULErule_284 186
#define RULErule_283 187
#define RULErule_282 188
#define RULErule_281 189
#define RULErule_280 190
#define RULErule_279 191
#define RULErule_278 192
#define RULErule_277 193
#define RULErule_276 194
#define RULErule_275 195
#define RULErule_274 196
#define RULErule_273 197
#define RULErule_272 198
#define RULErule_271 199
#define RULErule_270 200
#define RULErule_269 201
#define RULErule_268 202
#define RULErule_267 203
#define RULErule_266 204
#define RULErule_265 205
#define RULErule_264 206
#define RULErule_263 207
#define RULErule_262 208
#define RULErule_261 209
#define RULErule_260 210
#define RULErule_259 211
#define RULErule_258 212
#define RULErule_257 213
#define RULErule_256 214
#define RULErule_255 215
#define RULErule_254 216
#define RULErule_253 217
#define RULErule_252 218
#define RULErule_251 219
#define RULErule_250 220
#define RULErule_249 221
#define RULErule_248 222
#define RULErule_247 223
#define RULErule_246 224
#define RULErule_245 225
#define RULErule_244 226
#define RULErule_243 227
#define RULErule_242 228
#define RULErule_241 229
#define RULErule_240 230
#define RULErule_239 231
#define RULErule_238 232
#define RULErule_237 233
#define RULErule_236 234
#define RULErule_235 235
#define RULErule_234 236
#define RULErule_233 237
#define RULErule_232 238
#define RULErule_231 239
#define RULErule_230 240
#define RULErule_229 241
#define RULErule_228 242
#define RULErule_227 243
#define RULErule_226 244
#define RULErule_225 245
#define RULErule_224 246
#define RULErule_223 247
#define RULErule_222 248
#define RULErule_221 249
#define RULErule_220 250
#define RULErule_219 251
#define RULErule_218 252
#define RULErule_217 253
#define RULErule_216 254
#define RULErule_215 255
#define RULErule_214 256
#define RULErule_213 257
#define RULErule_212 258
#define RULErule_211 259
#define RULErule_210 260
#define RULErule_209 261
#define RULErule_208 262
#define RULErule_207 263
#define RULErule_206 264
#define RULErule_205 265
#define RULErule_204 266
#define RULErule_203 267
#define RULErule_202 268
#define RULErule_201 269
#define RULErule_200 270
#define RULErule_199 271
#define RULErule_198 272
#define RULErule_197 273
#define RULErule_196 274
#define RULErule_195 275
#define RULErule_194 276
#define RULErule_193 277
#define RULErule_192 278
#define RULErule_191 279
#define RULErule_190 280
#define RULErule_189 281
#define RULErule_188 282
#define RULErule_187 283
#define RULErule_186 284
#define RULErule_185 285
#define RULErule_184 286
#define RULErule_183 287
#define RULErule_182 288
#define RULErule_181 289
#define RULErule_180 290
#define RULErule_179 291
#define RULErule_178 292
#define RULErule_177 293
#define RULErule_176 294
#define RULErule_175 295
#define RULErule_174 296
#define RULErule_173 297
#define RULErule_172 298
#define RULErule_171 299
#define RULErule_170 300
#define RULErule_169 301
#define RULErule_168 302
#define RULErule_167 303
#define RULErule_166 304
#define RULErule_165 305
#define RULErule_164 306
#define RULErule_163 307
#define RULErule_162 308
#define RULErule_161 309
#define RULErule_160 310
#define RULErule_159 311
#define RULErule_158 312
#define RULErule_157 313
#define RULErule_156 314
#define RULErule_155 315
#define RULErule_154 316
#define RULErule_153 317
#define RULErule_152 318
#define RULErule_151 319
#define RULErule_150 320
#define RULErule_149 321
#define RULErule_148 322
#define RULErule_147 323
#define RULErule_146 324
#define RULErule_145 325
#define RULErule_144 326
#define RULErule_143 327
#define RULErule_142 328
#define RULErule_141 329
#define RULErule_140 330
#define RULErule_139 331
#define RULErule_138 332
#define RULErule_137 333
#define RULErule_136 334
#define RULErule_135 335
#define RULErule_134 336
#define RULErule_133 337
#define RULErule_132 338
#define RULErule_131 339
#define RULErule_130 340
#define RULErule_129 341
#define RULErule_128 342
#define RULErule_127 343
#define RULErule_126 344
#define RULErule_125 345
#define RULErule_124 346
#define RULErule_123 347
#define RULErule_122 348
#define RULErule_121 349
#define RULErule_120 350
#define RULErule_119 351
#define RULErule_118 352
#define RULErule_117 353
#define RULErule_116 354
#define RULErule_115 355
#define RULErule_114 356
#define RULErule_113 357
#define RULErule_112 358
#define RULErule_111 359
#define RULErule_110 360
#define RULErule_109 361
#define RULErule_108 362
#define RULErule_107 363
#define RULErule_106 364
#define RULErule_105 365
#define RULErule_104 366
#define RULErule_103 367
#define RULErule_102 368
#define RULErule_101 369
#define RULErule_100 370
#define RULErule_099 371
#define RULErule_098 372
#define RULErule_097 373
#define RULErule_096 374
#define RULErule_095 375
#define RULErule_094 376
#define RULErule_093 377
#define RULErule_092 378
#define RULErule_091 379
#define RULErule_090 380
#define RULErule_089 381
#define RULErule_088 382
#define RULErule_087 383
#define RULErule_086 384
#define RULErule_085 385
#define RULErule_084 386
#define RULErule_083 387
#define RULErule_082 388
#define RULErule_081 389
#define RULErule_080 390
#define RULErule_079 391
#define RULErule_078 392
#define RULErule_077 393
#define RULErule_076 394
#define RULErule_075 395
#define RULErule_074 396
#define RULErule_073 397
#define RULErule_072 398
#define RULErule_071 399
#define RULErule_070 400
#define RULErule_069 401
#define RULErule_068 402
#define RULErule_067 403
#define RULErule_066 404
#define RULErule_065 405
#define RULErule_064 406
#define RULErule_063 407
#define RULErule_062 408
#define RULErule_061 409
#define RULErule_060 410
#define RULErule_059 411
#define RULErule_058 412
#define RULErule_057 413
#define RULErule_056 414
#define RULErule_055 415
#define RULErule_054 416
#define RULErule_053 417
#define RULErule_052 418
#define RULErule_051 419
#define RULErule_050 420
#define RULErule_049 421
#define RULErule_048 422
#define RULErule_047 423
#define RULErule_046 424
#define RULErule_045 425
#define RULErule_044 426
#define RULErule_043 427
#define RULErule_042 428
#define RULErule_041 429
#define RULErule_040 430
#define RULErule_039 431
#define RULErule_038 432
#define RULErule_037 433
#define RULErule_036 434
#define RULErule_035 435
#define RULErule_034 436
#define RULErule_033 437
#define RULErule_032 438
#define RULErule_031 439
#define RULErule_030 440
#define RULErule_029 441
#define RULErule_028 442
#define RULErule_027 443
#define RULErule_026 444
#define RULErule_025 445
#define RULErule_024 446
#define RULErule_023 447
#define RULErule_022 448
#define RULErule_021 449
#define RULErule_020 450
#define RULErule_019 451
#define RULErule_018 452
#define RULErule_017 453
#define RULErule_016 454
#define RULErule_015 455
#define RULErule_014 456
#define RULErule_013 457
#define RULErule_012 458
#define RULErule_011 459
#define RULErule_010 460
#define RULErule_009 461
#define RULErule_008 462
#define RULErule_007 463
#define RULErule_006 464
#define RULErule_005 465
#define RULErule_004 466
#define RULErule_003 467
#define RULErule_002 468
#define RULErule_001 469
#define RULErule_000 470
#endif
