#define NONLITCOUNT 4
#define LITCOUNT 83
#define NTOKENS 87
#define EOFTOKEN 1
#if defined(__cplusplus) || defined(__STDC__)
extern void mkidn(char *, int, int *, int *),
 mkint(char *, int, int *, int *),
 mkstr(char *, int, int *, int *),
 dummy1(char *, int, int *, int *);
#else
extern void mkidn(),
 mkint(),
 mkstr(),
 dummy1();
#endif
#if defined(__cplusplus) || defined(__STDC__)
extern char *auxSPNLComment(char *, int),
 *dummy2(char *, int);
#else
extern char *auxSPNLComment(),
 *dummy2();
#endif

static short CaseTbl[128] = {
  0,  0,  0,  0,  0,  0,  0,  0,     /*   0.  1.  2.  3.  4.  5.  6.  7. */
  0,  2,  3,  0,  0,  0,  0,  0,     /*   8.  9. 10. 11. 12. 13. 14. 15. */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  16. 17. 18. 19. 20. 21. 22. 23. */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  24. 25. 26. 27. 28. 29. 30. 31. */
  1,  0,  0, 34,  0,  0,  0,  0,     /*  32. ! " # $ % & ' */
 33, 34, 34, 34, 34, 32, 31, 34,     /*  ( ) * + , - . / */
 30,  5,  5,  5,  5,  5,  5,  5,     /*  0 1 2 3 4 5 6 7 */
  5,  5, 34, 34, 29, 34, 28,  0,     /*  8 9 : ; < = > ? */
  0,  4,  4,  4,  4, 27,  4,  4,     /*  @ A B C D E F G */
  4, 26,  4,  4,  4,  4,  4,  4,     /*  H I J K L M N O */
  4,  4, 25,  4,  4,  4,  4,  4,     /*  P Q R S T U V W */
  4,  4,  4, 34,  0, 34, 34,  0,     /*  X Y Z [ \ ] ^ _ */
  0, 24, 23, 22, 21, 20, 19, 18,     /*  ` a b c d e f g */
 17, 16,  4,  4,  4, 15, 14, 13,     /*  h i j k l m n o */
 12,  4, 11, 10,  9,  8,  4,  7,     /*  p q r s t u v w */
  6,  4,  4, 34, 34, 34,  0,  0};    /*  x y z { | } ~ 127. */

static short ExtCodeTbl[128] = {
  0,  0,  0,  0,  0,  0,  0,  0,     /*   0.  1.  2.  3.  4.  5.  6.  7. */
  0,  0,  0,  0,  0,  0,  0,  0,     /*   8.  9. 10. 11. 12. 13. 14. 15. */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  16. 17. 18. 19. 20. 21. 22. 23. */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  24. 25. 26. 27. 28. 29. 30. 31. */
  0,  0,  0, 43,  0,  0,  0,  0,     /*  32. ! " # $ % & ' */
  0, 11, 81, 79, 17,  0,  0, 82,     /*  ( ) * + , - . / */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  0 1 2 3 4 5 6 7 */
  0,  0,  4,  7,  0,  9,  0,  0,     /*  8 9 : ; < = > ? */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  @ A B C D E F G */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  H I J K L M N O */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  P Q R S T U V W */
  0,  0,  0, 86,  0, 87, 69,  0,     /*  X Y Z [ \ ] ^ _ */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  ` a b c d e f g */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  h i j k l m n o */
  0,  0,  0,  0,  0,  0,  0,  0,     /*  p q r s t u v w */
  0,  0,  0, 48, 50, 49,  0,  0};    /*  x y z { | } ~ 127. */
static unsigned char ScanTbl[] = {
0x00, 0x00, 0x00, 0x00,	/*   0.   1.   2.   3. */
0x00, 0x00, 0x00, 0x00,	/*   4.   5.   6.   7. */
0x00, 0x02, 0x04, 0x00,	/*   8.   9.  10.  11. */
0x00, 0x00, 0x00, 0x00,	/*  12.  13.  14.  15. */
0x00, 0x00, 0x00, 0x00,	/*  16.  17.  18.  19. */
0x00, 0x00, 0x00, 0x00,	/*  20.  21.  22.  23. */
0x00, 0x00, 0x00, 0x00,	/*  24.  25.  26.  27. */
0x00, 0x00, 0x00, 0x00,	/*  28.  29.  30.  31. */
0x01, 0x00, 0x00, 0x00,	/*  32.  !  "  # */
0x00, 0x00, 0x00, 0x00,	/*  $  %  &  ' */
0x00, 0x00, 0x00, 0x00,	/*  (  )  *  + */
0x00, 0x00, 0x00, 0x00,	/*  ,  -  .  / */
0xC8, 0xD8, 0xD8, 0xD8,	/*  0  1  2  3 */
0xD8, 0xD8, 0xD8, 0xD8,	/*  4  5  6  7 */
0xD8, 0xD8, 0x00, 0x00,	/*  8  9  :  ; */
0x00, 0x00, 0x00, 0x00,	/*  <  =  >  ? */
0x00, 0xC8, 0xC8, 0xC8,	/*  @  A  B  C */
0xC8, 0xE8, 0xC8, 0xC8,	/*  D  E  F  G */
0xC8, 0xC8, 0xC8, 0xC8,	/*  H  I  J  K */
0xC8, 0xC8, 0xC8, 0xC8,	/*  L  M  N  O */
0xC8, 0xC8, 0xC8, 0xC8,	/*  P  Q  R  S */
0xC8, 0xC8, 0xC8, 0xC8,	/*  T  U  V  W */
0xC8, 0xC8, 0xC8, 0x00,	/*  X  Y  Z  [ */
0x00, 0x00, 0x00, 0xC8,	/*  \  ]  ^  _ */
0x00, 0xC8, 0xC8, 0xC8,	/*  `  a  b  c */
0xC8, 0xA8, 0xC8, 0xC8,	/*  d  e  f  g */
0xC8, 0xC8, 0xC8, 0xC8,	/*  h  i  j  k */
0xC8, 0xC8, 0x48, 0xC8,	/*  l  m  n  o */
0xC8, 0xC8, 0xC8, 0xC8,	/*  p  q  r  s */
0xC8, 0xC8, 0xC8, 0xC8,	/*  t  u  v  w */
0xC8, 0xC8, 0xC8, 0x00,	/*  x  y  z  { */
0x00, 0x00, 0x00, 0x00,	/*  |  }  ~  127. */
0x00, 0x00, 0x00, 0x00,	/*   0.   1.   2.   3. */
0x00, 0x00, 0x00, 0x00,	/*   4.   5.   6.   7. */
0x00, 0x00, 0x00, 0x00,	/*   8.   9.  10.  11. */
0x00, 0x00, 0x00, 0x00,	/*  12.  13.  14.  15. */
0x00, 0x00, 0x00, 0x00,	/*  16.  17.  18.  19. */
0x00, 0x00, 0x00, 0x00,	/*  20.  21.  22.  23. */
0x00, 0x00, 0x00, 0x00,	/*  24.  25.  26.  27. */
0x00, 0x00, 0x00, 0x00,	/*  28.  29.  30.  31. */
0x00, 0x00, 0x00, 0x00,	/*  32.  !  "  # */
0x00, 0x00, 0x00, 0x00,	/*  $  %  &  ' */
0x00, 0x00, 0x00, 0x00,	/*  (  )  *  + */
0x00, 0x00, 0x00, 0x00,	/*  ,  -  .  / */
0xFF, 0xFF, 0xFF, 0xFF,	/*  0  1  2  3 */
0xFF, 0xFF, 0xFF, 0xFF,	/*  4  5  6  7 */
0xFF, 0xFF, 0x00, 0x00,	/*  8  9  :  ; */
0x00, 0x00, 0x00, 0x00,	/*  <  =  >  ? */
0x00, 0xFF, 0xFF, 0xFF,	/*  @  A  B  C */
0xFF, 0xFF, 0xFF, 0xFF,	/*  D  E  F  G */
0xFF, 0xFF, 0xFF, 0xFF,	/*  H  I  J  K */
0xFF, 0xFF, 0xFF, 0xFF,	/*  L  M  N  O */
0xFF, 0xFF, 0xFF, 0xFF,	/*  P  Q  R  S */
0xFF, 0xFF, 0xFF, 0xFF,	/*  T  U  V  W */
0xFF, 0xFF, 0xFF, 0x00,	/*  X  Y  Z  [ */
0x00, 0x00, 0x00, 0xFF,	/*  \  ]  ^  _ */
0x00, 0x5B, 0xFF, 0xFD,	/*  `  a  b  c */
0xFF, 0xDD, 0xBF, 0xFF,	/*  d  e  f  g */
0xFA, 0xFE, 0xFF, 0xFF,	/*  h  i  j  k */
0xFB, 0xBF, 0xFF, 0x8B,	/*  l  m  n  o */
0xFF, 0xFF, 0xF2, 0xBD,	/*  p  q  r  s */
0xFF, 0xDF, 0xFF, 0xFF,	/*  t  u  v  w */
0xFF, 0xFE, 0xFF, 0x00,	/*  x  y  z  { */
0x00, 0x00, 0x00, 0x00,	/*  |  }  ~  127. */
0x00, 0x00, 0x00, 0x00,	/*   0.   1.   2.   3. */
0x00, 0x00, 0x00, 0x00,	/*   4.   5.   6.   7. */
0x00, 0x00, 0x00, 0x00,	/*   8.   9.  10.  11. */
0x00, 0x00, 0x00, 0x00,	/*  12.  13.  14.  15. */
0x00, 0x00, 0x00, 0x00,	/*  16.  17.  18.  19. */
0x00, 0x00, 0x00, 0x00,	/*  20.  21.  22.  23. */
0x00, 0x00, 0x00, 0x00,	/*  24.  25.  26.  27. */
0x00, 0x00, 0x00, 0x00,	/*  28.  29.  30.  31. */
0x00, 0x00, 0x00, 0x00,	/*  32.  !  "  # */
0x00, 0x00, 0x00, 0x00,	/*  $  %  &  ' */
0x00, 0x00, 0x00, 0x20,	/*  (  )  *  + */
0x00, 0x20, 0x00, 0x00,	/*  ,  -  .  / */
0xDF, 0xDF, 0xDF, 0xDF,	/*  0  1  2  3 */
0xDF, 0xDF, 0xDF, 0xDF,	/*  4  5  6  7 */
0xDF, 0xDF, 0x00, 0x00,	/*  8  9  :  ; */
0x00, 0x00, 0x00, 0x00,	/*  <  =  >  ? */
0x00, 0xCF, 0xCF, 0xCF,	/*  @  A  B  C */
0xCF, 0xCF, 0xCF, 0xCF,	/*  D  E  F  G */
0xCF, 0xCF, 0xCF, 0xCF,	/*  H  I  J  K */
0xCF, 0xCF, 0xCF, 0xCF,	/*  L  M  N  O */
0xCF, 0xCF, 0xCF, 0xCF,	/*  P  Q  R  S */
0xCF, 0xCF, 0xCF, 0xCF,	/*  T  U  V  W */
0xCF, 0xCF, 0xCF, 0x00,	/*  X  Y  Z  [ */
0x00, 0x00, 0x00, 0xCF,	/*  \  ]  ^  _ */
0x00, 0xCF, 0xCF, 0x4F,	/*  `  a  b  c */
0x8F, 0xCA, 0xCF, 0xCF,	/*  d  e  f  g */
0xCF, 0xCB, 0xCF, 0xCF,	/*  h  i  j  k */
0xCD, 0xCF, 0xC5, 0xCF,	/*  l  m  n  o */
0xCF, 0xCF, 0xC5, 0xCF,	/*  p  q  r  s */
0xCF, 0xCE, 0xCF, 0xCF,	/*  t  u  v  w */
0xCD, 0xCF, 0xCF, 0x00,	/*  x  y  z  { */
0x00, 0x00, 0x00, 0x00,	/*  |  }  ~  127. */
0x00, 0x00, 0x00, 0x00,	/*   0.   1.   2.   3. */
0x00, 0x00, 0x00, 0x00,	/*   4.   5.   6.   7. */
0x00, 0x00, 0x00, 0x00,	/*   8.   9.  10.  11. */
0x00, 0x00, 0x00, 0x00,	/*  12.  13.  14.  15. */
0x00, 0x00, 0x00, 0x00,	/*  16.  17.  18.  19. */
0x00, 0x00, 0x00, 0x00,	/*  20.  21.  22.  23. */
0x00, 0x00, 0x00, 0x00,	/*  24.  25.  26.  27. */
0x00, 0x00, 0x00, 0x00,	/*  28.  29.  30.  31. */
0x00, 0x00, 0x00, 0x00,	/*  32.  !  "  # */
0x00, 0x00, 0x00, 0x00,	/*  $  %  &  ' */
0x00, 0x00, 0x00, 0x00,	/*  (  )  *  + */
0x00, 0x00, 0x00, 0x00,	/*  ,  -  .  / */
0xFF, 0xFF, 0xFF, 0xFF,	/*  0  1  2  3 */
0xFF, 0xFF, 0xFF, 0xFF,	/*  4  5  6  7 */
0xFF, 0xFF, 0x00, 0x00,	/*  8  9  :  ; */
0x00, 0x00, 0x00, 0x00,	/*  <  =  >  ? */
0x00, 0xFF, 0xFF, 0xFF,	/*  @  A  B  C */
0xFF, 0xFF, 0xFF, 0xFF,	/*  D  E  F  G */
0xFF, 0xFF, 0xFF, 0xFF,	/*  H  I  J  K */
0xFF, 0xFF, 0xFF, 0xFF,	/*  L  M  N  O */
0xFF, 0xFF, 0xFF, 0xFF,	/*  P  Q  R  S */
0xFF, 0xFF, 0xFF, 0xFF,	/*  T  U  V  W */
0xFF, 0xFF, 0xFF, 0x00,	/*  X  Y  Z  [ */
0x00, 0x00, 0x00, 0xFF,	/*  \  ]  ^  _ */
0x00, 0xFF, 0xFF, 0xEF,	/*  `  a  b  c */
0xFF, 0xFF, 0xFF, 0xFF,	/*  d  e  f  g */
0xFF, 0xFB, 0xFF, 0xFF,	/*  h  i  j  k */
0xFD, 0xF7, 0xEF, 0xFF,	/*  l  m  n  o */
0xFF, 0xFF, 0xFF, 0x6F,	/*  p  q  r  s */
0xBF, 0xFE, 0xFF, 0xFF,	/*  t  u  v  w */
0xFF, 0xDF, 0xFF, 0x00,	/*  x  y  z  { */
0x00, 0x00, 0x00, 0x00,	/*  |  }  ~  127. */
0x00, 0x00, 0x00, 0x00,	/*   0.   1.   2.   3. */
0x00, 0x00, 0x00, 0x00,	/*   4.   5.   6.   7. */
0x00, 0x00, 0x00, 0x00,	/*   8.   9.  10.  11. */
0x00, 0x00, 0x00, 0x00,	/*  12.  13.  14.  15. */
0x00, 0x00, 0x00, 0x00,	/*  16.  17.  18.  19. */
0x00, 0x00, 0x00, 0x00,	/*  20.  21.  22.  23. */
0x00, 0x00, 0x00, 0x00,	/*  24.  25.  26.  27. */
0x00, 0x00, 0x00, 0x00,	/*  28.  29.  30.  31. */
0x00, 0x00, 0x00, 0x00,	/*  32.  !  "  # */
0x00, 0x00, 0x00, 0x00,	/*  $  %  &  ' */
0x00, 0x00, 0x00, 0x00,	/*  (  )  *  + */
0x00, 0x00, 0x00, 0x00,	/*  ,  -  .  / */
0xFF, 0xFF, 0xFF, 0xFF,	/*  0  1  2  3 */
0xFF, 0xFF, 0xFF, 0xFF,	/*  4  5  6  7 */
0xFF, 0xFF, 0x00, 0x00,	/*  8  9  :  ; */
0x00, 0x00, 0x00, 0x00,	/*  <  =  >  ? */
0x00, 0xFF, 0xFF, 0xFF,	/*  @  A  B  C */
0xFF, 0xFF, 0xFF, 0xFF,	/*  D  E  F  G */
0xFF, 0xFF, 0xFF, 0xFF,	/*  H  I  J  K */
0xFF, 0xFF, 0xFF, 0xFF,	/*  L  M  N  O */
0xFF, 0xFF, 0xFF, 0xFF,	/*  P  Q  R  S */
0xFF, 0xFF, 0xFF, 0xFF,	/*  T  U  V  W */
0xFF, 0xFF, 0xFF, 0x00,	/*  X  Y  Z  [ */
0x00, 0x00, 0x00, 0xFF,	/*  \  ]  ^  _ */
0x00, 0xDF, 0xFB, 0xFE,	/*  `  a  b  c */
0xFF, 0xDF, 0xFD, 0xEF,	/*  d  e  f  g */
0xFF, 0xFF, 0xFF, 0xBF,	/*  h  i  j  k */
0xFF, 0xFF, 0xFF, 0xFF,	/*  l  m  n  o */
0x77, 0xFF, 0xFF, 0xFF,	/*  p  q  r  s */
0xFE, 0x7F, 0xFF, 0xFF,	/*  t  u  v  w */
0xFF, 0xFF, 0xFF, 0x00,	/*  x  y  z  { */
0x00, 0x00, 0x00, 0x00,	/*  |  }  ~  127. */
0x00, 0x00, 0x00, 0x00,	/*   0.   1.   2.   3. */
0x00, 0x00, 0x00, 0x00,	/*   4.   5.   6.   7. */
0x00, 0x00, 0x00, 0x00,	/*   8.   9.  10.  11. */
0x00, 0x00, 0x00, 0x00,	/*  12.  13.  14.  15. */
0x00, 0x00, 0x00, 0x00,	/*  16.  17.  18.  19. */
0x00, 0x00, 0x00, 0x00,	/*  20.  21.  22.  23. */
0x00, 0x00, 0x00, 0x00,	/*  24.  25.  26.  27. */
0x00, 0x00, 0x00, 0x00,	/*  28.  29.  30.  31. */
0x00, 0x00, 0x00, 0x00,	/*  32.  !  "  # */
0x00, 0x00, 0x00, 0x00,	/*  $  %  &  ' */
0x00, 0x00, 0x00, 0x00,	/*  (  )  *  + */
0x00, 0x00, 0x00, 0x00,	/*  ,  -  .  / */
0x7F, 0x7F, 0x7F, 0x7F,	/*  0  1  2  3 */
0x7F, 0x7F, 0x7F, 0x7F,	/*  4  5  6  7 */
0x7F, 0x7F, 0x00, 0x00,	/*  8  9  :  ; */
0x00, 0x00, 0x00, 0x00,	/*  <  =  >  ? */
0x00, 0x7F, 0x7F, 0x7F,	/*  @  A  B  C */
0x7F, 0x7F, 0x7F, 0x7F,	/*  D  E  F  G */
0x7F, 0x7F, 0x7F, 0x7F,	/*  H  I  J  K */
0x7F, 0x7F, 0x7F, 0x7F,	/*  L  M  N  O */
0x7F, 0x7F, 0x7F, 0x7F,	/*  P  Q  R  S */
0x7F, 0x7F, 0x7F, 0x7F,	/*  T  U  V  W */
0x7F, 0x7F, 0x7F, 0x00,	/*  X  Y  Z  [ */
0x00, 0x00, 0x00, 0x7F,	/*  \  ]  ^  _ */
0x00, 0x77, 0x5F, 0x7F,	/*  `  a  b  c */
0x7D, 0x6F, 0x7F, 0x5F,	/*  d  e  f  g */
0x3F, 0x7C, 0x7F, 0x7F,	/*  h  i  j  k */
0x7E, 0x7F, 0x6F, 0x7F,	/*  l  m  n  o */
0x7F, 0x7F, 0x7F, 0x7D,	/*  p  q  r  s */
0x7F, 0x77, 0x7F, 0x7B,	/*  t  u  v  w */
0x7F, 0x7F, 0x7F, 0x00,	/*  x  y  z  { */
0x00, 0x00, 0x00, 0x00 }; /*  |  }  ~  127. */
