/******************************************************************************
 Program:           execute_erand.h

 Purpose:           This file defines constants required by the socket
                    operations.

 Project Director:  Reinhard German

 Programmer:        Patrick Drescher

 History:           Release 1: June 1995
******************************************************************************/


/* server listen backlog */
#define BACKLOG     5

/* message receive modes */
#define WAIT_ONE    2         /* wait for one rand process */
#define WAIT_ALL    3         /* wait for all rand processes */

/* executable search path */
#define RSHPATH     "/usr/ucb/rsh"

/* connection */
typedef struct
{
   int index;
   int fd;
   FILE *fp;
} connect_t;
